!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 16:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 112

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(1134)
  integer, parameter :: nGC_3869 = 1
  integer, parameter :: nGC_5443 = 2
  integer, parameter :: nGC_5442 = 3
  integer, parameter :: nGC_5445 = 4
  integer, parameter :: nGC_5444 = 5
  integer, parameter :: nGC_5447 = 6
  integer, parameter :: nGC_5446 = 7
  integer, parameter :: nGC_5396 = 8
  integer, parameter :: nGC_69 = 9
  integer, parameter :: nGC_5346 = 10
  integer, parameter :: nGC_5347 = 11
  integer, parameter :: nGC_5344 = 12
  integer, parameter :: nGC_5345 = 13
  integer, parameter :: nGC_5342 = 14
  integer, parameter :: nGC_5343 = 15
  integer, parameter :: nGC_5348 = 16
  integer, parameter :: nGC_5349 = 17
  integer, parameter :: nGC_MZ_GF = 18
  integer, parameter :: nGC_28 = 19
  integer, parameter :: nGC_29 = 20
  integer, parameter :: nGC_22 = 21
  integer, parameter :: nGC_23 = 22
  integer, parameter :: nGC_20 = 23
  integer, parameter :: nGC_21 = 24
  integer, parameter :: nGC_26 = 25
  integer, parameter :: nGC_27 = 26
  integer, parameter :: nGC_24 = 27
  integer, parameter :: nGC_25 = 28
  integer, parameter :: nGC_988 = 29
  integer, parameter :: nGC_GG = 30
  integer, parameter :: nGC_5860 = 31
  integer, parameter :: nGC_5366 = 32
  integer, parameter :: nGC_37 = 33
  integer, parameter :: nGC_5405 = 34
  integer, parameter :: nGC_5441 = 35
  integer, parameter :: nGC_5407 = 36
  integer, parameter :: nGC_5406 = 37
  integer, parameter :: nGC_5401 = 38
  integer, parameter :: nGC_5400 = 39
  integer, parameter :: nGC_5403 = 40
  integer, parameter :: nGC_5402 = 41
  integer, parameter :: nGC_5409 = 42
  integer, parameter :: nGC_5408 = 43
  integer, parameter :: nGC_128 = 44
  integer, parameter :: nGC_84 = 45
  integer, parameter :: nGC_5449 = 46
  integer, parameter :: nGC_MMW_GF = 47
  integer, parameter :: nGC_75 = 48
  integer, parameter :: nGC_74 = 49
  integer, parameter :: nGC_77 = 50
  integer, parameter :: nGC_73 = 51
  integer, parameter :: nGC_86 = 52
  integer, parameter :: nGC_71 = 53
  integer, parameter :: nGC_72 = 54
  integer, parameter :: nGC_I = 55
  integer, parameter :: nGC_5925 = 56
  integer, parameter :: nGC_7488 = 57
  integer, parameter :: nGC_5834 = 58
  integer, parameter :: nGC_292 = 59
  integer, parameter :: nGC_3 = 60
  integer, parameter :: nGC_2 = 61
  integer, parameter :: nGC_1 = 62
  integer, parameter :: nGC_7 = 63
  integer, parameter :: nGC_6 = 64
  integer, parameter :: nGC_5 = 65
  integer, parameter :: nGC_4 = 66
  integer, parameter :: nGC_5377 = 67
  integer, parameter :: nGC_5376 = 68
  integer, parameter :: nGC_9 = 69
  integer, parameter :: nGC_8 = 70
  integer, parameter :: nGC_5373 = 71
  integer, parameter :: nGC_5372 = 72
  integer, parameter :: nGC_5371 = 73
  integer, parameter :: nGC_5370 = 74
  integer, parameter :: nGC_5908 = 75
  integer, parameter :: nGC_53 = 76
  integer, parameter :: nGC_52 = 77
  integer, parameter :: nGC_51 = 78
  integer, parameter :: nGC_50 = 79
  integer, parameter :: nGC_57 = 80
  integer, parameter :: nGC_56 = 81
  integer, parameter :: nGC_55 = 82
  integer, parameter :: nGC_54 = 83
  integer, parameter :: nGC_59 = 84
  integer, parameter :: nGC_58 = 85
  integer, parameter :: nGC_46 = 86
  integer, parameter :: nGC_12 = 87
  integer, parameter :: nGC_11 = 88
  integer, parameter :: nGC_40 = 89
  integer, parameter :: nGC_10 = 90
  integer, parameter :: nGC_41 = 91
  integer, parameter :: nGC_5891 = 92
  integer, parameter :: nGC_8787 = 93
  integer, parameter :: nGC_5692 = 94
  integer, parameter :: nGC_5456 = 95
  integer, parameter :: nGC_5489 = 96
  integer, parameter :: nGC_5454 = 97
  integer, parameter :: nGC_5455 = 98
  integer, parameter :: nGC_5452 = 99
  integer, parameter :: nGC_5453 = 100
  integer, parameter :: nGC_5599 = 101
  integer, parameter :: nGC_7328 = 102
  integer, parameter :: nGC_MW = 103
  integer, parameter :: nGC_7442 = 104
  integer, parameter :: nGC_5625 = 105
  integer, parameter :: nGC_5451 = 106
  integer, parameter :: nGC_3887 = 107
  integer, parameter :: nGC_3885 = 108
  integer, parameter :: nGC_5842 = 109
  integer, parameter :: nGC_45 = 110
  integer, parameter :: nGC_7215 = 111
  integer, parameter :: nGC_7195 = 112
  integer, parameter :: nGC_464 = 113
  integer, parameter :: nGC_262 = 114
  integer, parameter :: nGC_17 = 115
  integer, parameter :: nGC_16 = 116
  integer, parameter :: nGC_15 = 117
  integer, parameter :: nGC_14 = 118
  integer, parameter :: nGC_13 = 119
  integer, parameter :: nGC_19 = 120
  integer, parameter :: nGC_18 = 121
  integer, parameter :: nGC_5526 = 122
  integer, parameter :: nGC_5527 = 123
  integer, parameter :: nGC_5524 = 124
  integer, parameter :: nGC_5522 = 125
  integer, parameter :: nGC_5488 = 126
  integer, parameter :: nGC_5520 = 127
  integer, parameter :: nGC_5485 = 128
  integer, parameter :: nGC_5484 = 129
  integer, parameter :: nGC_5486 = 130
  integer, parameter :: nGC_5481 = 131
  integer, parameter :: nGC_5480 = 132
  integer, parameter :: nGC_9049 = 133
  integer, parameter :: nGC_7711 = 134
  integer, parameter :: nGC_7710 = 135
  integer, parameter :: nGC_5572 = 136
  integer, parameter :: nGC_7268 = 137
  integer, parameter :: nGC_5880 = 138
  integer, parameter :: nGC_638 = 139
  integer, parameter :: nGC_890 = 140
  integer, parameter :: nGC_8014 = 141
  integer, parameter :: nGC_5798 = 142
  integer, parameter :: nGC_5410 = 143
  integer, parameter :: nGC_5411 = 144
  integer, parameter :: nGC_5416 = 145
  integer, parameter :: nGC_5797 = 146
  integer, parameter :: nGC_5796 = 147
  integer, parameter :: nGC_3889 = 148
  integer, parameter :: nGC_MW_GF = 149
  integer, parameter :: nGC_5375 = 150
  integer, parameter :: nGC_962 = 151
  integer, parameter :: nGC_5374 = 152
  integer, parameter :: nGC_5440 = 153
  integer, parameter :: nGC_5394 = 154
  integer, parameter :: nGC_7403 = 155
  integer, parameter :: nGC_5523 = 156
  integer, parameter :: nGC_7408 = 157
  integer, parameter :: nGC_5467 = 158
  integer, parameter :: nGC_5466 = 159
  integer, parameter :: nGC_5465 = 160
  integer, parameter :: nGC_5464 = 161
  integer, parameter :: nGC_5463 = 162
  integer, parameter :: nGC_5461 = 163
  integer, parameter :: nGC_5707 = 164
  integer, parameter :: nGC_5704 = 165
  integer, parameter :: nGC_5468 = 166
  integer, parameter :: nGC_5521 = 167
  integer, parameter :: nGC_5909 = 168
  integer, parameter :: nGC_HHHH = 169
  integer, parameter :: nGC_7310 = 170
  integer, parameter :: nGC_7498 = 171
  integer, parameter :: nGC_7499 = 172
  integer, parameter :: nGC_7495 = 173
  integer, parameter :: nGC_7496 = 174
  integer, parameter :: nGC_7497 = 175
  integer, parameter :: nGC_7690 = 176
  integer, parameter :: nGC_5801 = 177
  integer, parameter :: nGC_5803 = 178
  integer, parameter :: nGC_5805 = 179
  integer, parameter :: nGC_5806 = 180
  integer, parameter :: nGC_85 = 181
  integer, parameter :: nGC_5483 = 182
  integer, parameter :: nGC_5368 = 183
  integer, parameter :: nGC_5367 = 184
  integer, parameter :: nGC_5360 = 185
  integer, parameter :: nGC_5361 = 186
  integer, parameter :: nGC_5362 = 187
  integer, parameter :: nGC_5363 = 188
  integer, parameter :: nGC_9899 = 189
  integer, parameter :: nGC_8384 = 190
  integer, parameter :: nGC_5931 = 191
  integer, parameter :: nGC_5930 = 192
  integer, parameter :: nGC_352 = 193
  integer, parameter :: nGC_5482 = 194
  integer, parameter :: nGC_5412 = 195
  integer, parameter :: nGC_5820 = 196
  integer, parameter :: nGC_5413 = 197
  integer, parameter :: nGC_956 = 198
  integer, parameter :: nGC_8974 = 199
  integer, parameter :: nGC_48 = 200
  integer, parameter :: nGC_49 = 201
  integer, parameter :: nGC_5898 = 202
  integer, parameter :: nGC_5899 = 203
  integer, parameter :: nGC_44 = 204
  integer, parameter :: nGC_5894 = 205
  integer, parameter :: nGC_5895 = 206
  integer, parameter :: nGC_5892 = 207
  integer, parameter :: nGC_5893 = 208
  integer, parameter :: nGC_42 = 209
  integer, parameter :: nGC_43 = 210
  integer, parameter :: nGC_5881 = 211
  integer, parameter :: nGC_5518 = 212
  integer, parameter :: nGC_5515 = 213
  integer, parameter :: nGC_5511 = 214
  integer, parameter :: nGC_5882 = 215
  integer, parameter :: nGC_5448 = 216
  integer, parameter :: nGC_172 = 217
  integer, parameter :: nGC_5418 = 218
  integer, parameter :: nGC_5419 = 219
  integer, parameter :: nGC_5887 = 220
  integer, parameter :: nGC_7522 = 221
  integer, parameter :: nGC_7527 = 222
  integer, parameter :: nGC_5740 = 223
  integer, parameter :: nGC_5741 = 224
  integer, parameter :: nGC_5429 = 225
  integer, parameter :: nGC_5580 = 226
  integer, parameter :: nGC_5423 = 227
  integer, parameter :: nGC_5422 = 228
  integer, parameter :: nGC_5421 = 229
  integer, parameter :: nGC_5420 = 230
  integer, parameter :: nGC_5426 = 231
  integer, parameter :: nGC_5425 = 232
  integer, parameter :: nGC_5424 = 233
  integer, parameter :: nGC_88 = 234
  integer, parameter :: nGC_7354 = 235
  integer, parameter :: nGC_5519 = 236
  integer, parameter :: nGC_7590 = 237
  integer, parameter :: nGC_7593 = 238
  integer, parameter :: nGC_7592 = 239
  integer, parameter :: nGC_7750 = 240
  integer, parameter :: nGC_7599 = 241
  integer, parameter :: nGC_7598 = 242
  integer, parameter :: nGC_GPGMGPGM = 243
  integer, parameter :: nGC_5636 = 244
  integer, parameter :: nGC_5633 = 245
  integer, parameter :: nGC_7355 = 246
  integer, parameter :: nGC_70 = 247
  integer, parameter :: nGC_5364 = 248
  integer, parameter :: nGC_7649 = 249
  integer, parameter :: nGC_5365 = 250
  integer, parameter :: nGC_MTA = 251
  integer, parameter :: nGC_5825 = 252
  integer, parameter :: nGC_87 = 253
  integer, parameter :: nGC_5538 = 254
  integer, parameter :: nGC_5552 = 255
  integer, parameter :: nGC_5498 = 256
  integer, parameter :: nGC_5554 = 257
  integer, parameter :: nGC_5497 = 258
  integer, parameter :: nGC_5494 = 259
  integer, parameter :: nGC_5495 = 260
  integer, parameter :: nGC_5395 = 261
  integer, parameter :: nGC_5397 = 262
  integer, parameter :: nGC_5391 = 263
  integer, parameter :: nGC_5390 = 264
  integer, parameter :: nGC_5393 = 265
  integer, parameter :: nGC_5392 = 266
  integer, parameter :: nGC_9355 = 267
  integer, parameter :: nGC_5399 = 268
  integer, parameter :: nGC_5398 = 269
  integer, parameter :: nGC_7276 = 270
  integer, parameter :: nGC_8975 = 271
  integer, parameter :: nGC_5844 = 272
  integer, parameter :: nGC_5847 = 273
  integer, parameter :: nGC_5840 = 274
  integer, parameter :: nGC_8979 = 275
  integer, parameter :: nGC_7404 = 276
  integer, parameter :: nGC_9901 = 277
  integer, parameter :: nGC_76 = 278
  integer, parameter :: nGC_5537 = 279
  integer, parameter :: nGC_5781 = 280
  integer, parameter :: nGC_79 = 281
  integer, parameter :: nGC_78 = 282
  integer, parameter :: nGC_5789 = 283
  integer, parameter :: nGC_HHGG = 284
  integer, parameter :: nGC_5861 = 285
  integer, parameter :: nGC_5369 = 286
  integer, parameter :: nGC_492 = 287
  integer, parameter :: nGC_7413 = 288
  integer, parameter :: nGC_5868 = 289
  integer, parameter :: nGC_5474 = 290
  integer, parameter :: nGC_5475 = 291
  integer, parameter :: nGC_5477 = 292
  integer, parameter :: nGC_5470 = 293
  integer, parameter :: nGC_5471 = 294
  integer, parameter :: nGC_5472 = 295
  integer, parameter :: nGC_5473 = 296
  integer, parameter :: nGC_5773 = 297
  integer, parameter :: nGC_5478 = 298
  integer, parameter :: nGC_5775 = 299
  integer, parameter :: nGC_5774 = 300
  integer, parameter :: nGC_HHH = 301
  integer, parameter :: nGC_7855 = 302
  integer, parameter :: nGC_7856 = 303
  integer, parameter :: nGC_7857 = 304
  integer, parameter :: nGC_5503 = 305
  integer, parameter :: nGC_5476 = 306
  integer, parameter :: nGC_5417 = 307
  integer, parameter :: nGC_5414 = 308
  integer, parameter :: nGC_7749 = 309
  integer, parameter :: nGC_7796 = 310
  integer, parameter :: nGC_5913 = 311
  integer, parameter :: nGC_7307 = 312
  integer, parameter :: nGC_5911 = 313
  integer, parameter :: nGC_5415 = 314
  integer, parameter :: nGC_5603 = 315
  integer, parameter :: nGC_5601 = 316
  integer, parameter :: nGC_8981 = 317
  integer, parameter :: nGC_5462 = 318
  integer, parameter :: nGC_9898 = 319
  integer, parameter :: nGC_5460 = 320
  integer, parameter :: nGC_80 = 321
  integer, parameter :: nGC_5853 = 322
  integer, parameter :: nGC_8980 = 323
  integer, parameter :: nGC_82 = 324
  integer, parameter :: nGC_5359 = 325
  integer, parameter :: nGC_5358 = 326
  integer, parameter :: nGC_5851 = 327
  integer, parameter :: nGC_5353 = 328
  integer, parameter :: nGC_5352 = 329
  integer, parameter :: nGC_5355 = 330
  integer, parameter :: nGC_5354 = 331
  integer, parameter :: nGC_5357 = 332
  integer, parameter :: nGC_5356 = 333
  integer, parameter :: nGC_368 = 334
  integer, parameter :: nGC_5351 = 335
  integer, parameter :: nGC_5928 = 336
  integer, parameter :: nGC_5929 = 337
  integer, parameter :: nGC_5469 = 338
  integer, parameter :: nGC_5350 = 339
  integer, parameter :: nGC_5922 = 340
  integer, parameter :: nGC_5923 = 341
  integer, parameter :: nGC_5924 = 342
  integer, parameter :: nGC_8019 = 343
  integer, parameter :: nGC_5918 = 344
  integer, parameter :: nGC_39 = 345
  integer, parameter :: nGC_38 = 346
  integer, parameter :: nGC_31 = 347
  integer, parameter :: nGC_30 = 348
  integer, parameter :: nGC_33 = 349
  integer, parameter :: nGC_32 = 350
  integer, parameter :: nGC_35 = 351
  integer, parameter :: nGC_47 = 352
  integer, parameter :: nGC_36 = 353
  integer, parameter :: nGC_7773 = 354
  integer, parameter :: nGC_5508 = 355
  integer, parameter :: nGC_5816 = 356
  integer, parameter :: nGC_5817 = 357
  integer, parameter :: nGC_5815 = 358
  integer, parameter :: nGC_5813 = 359
  integer, parameter :: nGC_5810 = 360
  integer, parameter :: nGC_5819 = 361
  integer, parameter :: nGC_5458 = 362
  integer, parameter :: nGC_5404 = 363
  integer, parameter :: nGC_5459 = 364
  integer, parameter :: nGC_5457 = 365
  integer, parameter :: nGC_7511 = 366
  integer, parameter :: nGC_5920 = 367
  integer, parameter :: nGC_7512 = 368
  integer, parameter :: nGC_MT = 369
  integer, parameter :: nGC_5428 = 370
  integer, parameter :: nGC_67 = 371
  integer, parameter :: nGC_5926 = 372
  integer, parameter :: nGC_GGH = 373
  integer, parameter :: nGC_5927 = 374
  integer, parameter :: nGC_5438 = 375
  integer, parameter :: nGC_5439 = 376
  integer, parameter :: nGC_5450 = 377
  integer, parameter :: nGC_5430 = 378
  integer, parameter :: nGC_5431 = 379
  integer, parameter :: nGC_5432 = 380
  integer, parameter :: nGC_5433 = 381
  integer, parameter :: nGC_5434 = 382
  integer, parameter :: nGC_5435 = 383
  integer, parameter :: nGC_5436 = 384
  integer, parameter :: nGC_5437 = 385
  integer, parameter :: nGC_MI = 386
  integer, parameter :: nGC_MH = 387
  integer, parameter :: nGC_60 = 388
  integer, parameter :: nGC_MM = 389
  integer, parameter :: nGC_MC = 390
  integer, parameter :: nGC_MB = 391
  integer, parameter :: nGC_61 = 392
  integer, parameter :: nGC_8053 = 393
  integer, parameter :: nGC_ME = 394
  integer, parameter :: nGC_MD = 395
  integer, parameter :: nGC_MZ = 396
  integer, parameter :: nGC_MS = 397
  integer, parameter :: nGC_8344 = 398
  integer, parameter :: nGC_MU = 399
  integer, parameter :: nGC_7581 = 400
  integer, parameter :: nGC_81 = 401
  integer, parameter :: nGC_5649 = 402
  integer, parameter :: nGC_5648 = 403
  integer, parameter :: nGC_5843 = 404
  integer, parameter :: nGC_5589 = 405
  integer, parameter :: nGC_5644 = 406
  integer, parameter :: nGC_13618 = 407
  integer, parameter :: nGC_960 = 408
  integer, parameter :: nGC_7786 = 409
  integer, parameter :: nGC_7788 = 410
  integer, parameter :: nGC_5379 = 411
  integer, parameter :: nGC_7820 = 412
  integer, parameter :: nGC_7823 = 413
  integer, parameter :: nGC_5479 = 414
  integer, parameter :: nGC_7709 = 415
  integer, parameter :: nGC_83 = 416
  integer, parameter :: nGC_5378 = 417
  integer, parameter :: nGC_5785 = 418
  integer, parameter :: nGC_9896 = 419
  integer, parameter :: nGC_8291 = 420
  integer, parameter :: nGC_8290 = 421
  integer, parameter :: nGC_8112 = 422
  integer, parameter :: nGC_5829 = 423
  integer, parameter :: nGC_5828 = 424
  integer, parameter :: nGC_5827 = 425
  integer, parameter :: nGC_5826 = 426
  integer, parameter :: nGC_8224 = 427
  integer, parameter :: nGC_5824 = 428
  integer, parameter :: nGC_5823 = 429
  integer, parameter :: nGC_5822 = 430
  integer, parameter :: nGC_5821 = 431
  integer, parameter :: nGC_5559 = 432
  integer, parameter :: nGC_9897 = 433
  integer, parameter :: nGC_5542 = 434
  integer, parameter :: nGC_5544 = 435
  integer, parameter :: nGC_5545 = 436
  integer, parameter :: nGC_5546 = 437
  integer, parameter :: nGC_7731 = 438
  integer, parameter :: nGC_5382 = 439
  integer, parameter :: nGC_5383 = 440
  integer, parameter :: nGC_5380 = 441
  integer, parameter :: nGC_5381 = 442
  integer, parameter :: nGC_5386 = 443
  integer, parameter :: nGC_5387 = 444
  integer, parameter :: nGC_5384 = 445
  integer, parameter :: nGC_5385 = 446
  integer, parameter :: nGC_8685 = 447
  integer, parameter :: nGC_5388 = 448
  integer, parameter :: nGC_5389 = 449
  integer, parameter :: nGC_34 = 450
  integer, parameter :: nGC_5858 = 451
  integer, parameter :: nGC_5859 = 452
  integer, parameter :: nGC_5917 = 453
  integer, parameter :: nGC_7552 = 454
  integer, parameter :: nGC_5915 = 455
  integer, parameter :: nGC_5914 = 456
  integer, parameter :: nGC_5852 = 457
  integer, parameter :: nGC_5916 = 458
  integer, parameter :: nGC_5919 = 459
  integer, parameter :: nGC_8517 = 460
  integer, parameter :: nGC_5856 = 461
  integer, parameter :: nGC_5857 = 462
  integer, parameter :: nGC_5854 = 463
  integer, parameter :: nGC_5855 = 464
  integer, parameter :: nGC_5850 = 465
  integer, parameter :: nGC_66 = 466
  integer, parameter :: nGC_64 = 467
  integer, parameter :: nGC_65 = 468
  integer, parameter :: nGC_62 = 469
  integer, parameter :: nGC_63 = 470
  integer, parameter :: nGC_68 = 471
  integer, parameter :: nGC_7774 = 472
  integer, parameter :: nGC_7601 = 473
  integer, parameter :: nGC_7600 = 474
  integer, parameter :: nGC_7603 = 475
  integer, parameter :: nGC_7602 = 476
  integer, parameter :: nGC_5921 = 477
  integer, parameter :: nGC_5551 = 478
  integer, parameter :: nGC_7244 = 479
  integer, parameter :: nGC_5427 = 480
  integer, parameter :: nGC_5505 = 481
  integer, parameter :: nGC_7730 = 482
  integer, parameter :: nGC_7546 = 483
  integer, parameter :: nGC_8228 = 484
  integer, parameter :: nGC_5502 = 485
  integer, parameter :: nGC_7540 = 486
  integer, parameter :: nGC_7541 = 487
  integer, parameter :: nGC_8222 = 488
  integer, parameter :: nGC_8223 = 489
  integer, parameter :: nGC_8221 = 490
  integer, parameter :: nGC_8227 = 491
  integer, parameter :: nGC_7423 = 492
  integer, parameter :: nGC_7549 = 493
  integer, parameter :: nGC_5491 = 494
  integer, parameter :: nGC_5689 = 495
  integer, parameter :: nGC_5688 = 496
  integer, parameter :: nGC_5687 = 497
  integer, parameter :: nGC_5686 = 498
  integer, parameter :: nGC_5685 = 499
  integer, parameter :: nGC_5684 = 500
  integer, parameter :: nGC_5683 = 501
  integer, parameter :: nGC_5682 = 502
  integer, parameter :: nGC_5681 = 503
  integer, parameter :: nGC_5680 = 504
  integer, parameter :: nGC_5768 = 505
  integer, parameter :: nGC_5769 = 506
  integer, parameter :: nGC_5760 = 507
  integer, parameter :: nGC_5761 = 508
  integer, parameter :: nGC_5762 = 509
  integer, parameter :: nGC_5659 = 510
  integer, parameter :: nGC_7869 = 511
  integer, parameter :: nGC_7903 = 512
  integer, parameter :: nGC_7900 = 513
  integer, parameter :: nGC_7901 = 514
  integer, parameter :: nGC_7861 = 515
  integer, parameter :: nGC_8258 = 516
  integer, parameter :: nGC_7331 = 517
  integer, parameter :: nGC_7333 = 518
  integer, parameter :: nGC_7335 = 519
  integer, parameter :: nGC_206 = 520
  integer, parameter :: nGC_7337 = 521
  integer, parameter :: nGC_5614 = 522
  integer, parameter :: nGC_5615 = 523
  integer, parameter :: nGC_5616 = 524
  integer, parameter :: nGC_5617 = 525
  integer, parameter :: nGC_5610 = 526
  integer, parameter :: nGC_5611 = 527
  integer, parameter :: nGC_5612 = 528
  integer, parameter :: nGC_5613 = 529
  integer, parameter :: nGC_5618 = 530
  integer, parameter :: nGC_5619 = 531
  integer, parameter :: nGC_8484 = 532
  integer, parameter :: nGC_11091 = 533
  integer, parameter :: nGC_8002 = 534
  integer, parameter :: nGC_8000 = 535
  integer, parameter :: nGC_8001 = 536
  integer, parameter :: nGC_8007 = 537
  integer, parameter :: nGC_8004 = 538
  integer, parameter :: nGC_7202 = 539
  integer, parameter :: nGC_7208 = 540
  integer, parameter :: nGC_8792 = 541
  integer, parameter :: nGC_8794 = 542
  integer, parameter :: nGC_8795 = 543
  integer, parameter :: nGC_8054 = 544
  integer, parameter :: nGC_8536 = 545
  integer, parameter :: nGC_5738 = 546
  integer, parameter :: nGC_5650 = 547
  integer, parameter :: nGC_5651 = 548
  integer, parameter :: nGC_7887 = 549
  integer, parameter :: nGC_8674 = 550
  integer, parameter :: nGC_8113 = 551
  integer, parameter :: nGC_7997 = 552
  integer, parameter :: nGC_8673 = 553
  integer, parameter :: nGC_8672 = 554
  integer, parameter :: nGC_5531 = 555
  integer, parameter :: nGC_5530 = 556
  integer, parameter :: nGC_5533 = 557
  integer, parameter :: nGC_5532 = 558
  integer, parameter :: nGC_5535 = 559
  integer, parameter :: nGC_5534 = 560
  integer, parameter :: nGC_7888 = 561
  integer, parameter :: nGC_8076 = 562
  integer, parameter :: nGC_5867 = 563
  integer, parameter :: nGC_5865 = 564
  integer, parameter :: nGC_5864 = 565
  integer, parameter :: nGC_5869 = 566
  integer, parameter :: nGC_7500 = 567
  integer, parameter :: nGC_7501 = 568
  integer, parameter :: nGC_5493 = 569
  integer, parameter :: nGC_8840 = 570
  integer, parameter :: nGC_7370 = 571
  integer, parameter :: nGC_7577 = 572
  integer, parameter :: nGC_7576 = 573
  integer, parameter :: nGC_7575 = 574
  integer, parameter :: nGC_7574 = 575
  integer, parameter :: nGC_5711 = 576
  integer, parameter :: nGC_5710 = 577
  integer, parameter :: nGC_5713 = 578
  integer, parameter :: nGC_5712 = 579
  integer, parameter :: nGC_5715 = 580
  integer, parameter :: nGC_5714 = 581
  integer, parameter :: nGC_5717 = 582
  integer, parameter :: nGC_5716 = 583
  integer, parameter :: nGC_5652 = 584
  integer, parameter :: nGC_5653 = 585
  integer, parameter :: nGC_5654 = 586
  integer, parameter :: nGC_5655 = 587
  integer, parameter :: nGC_5656 = 588
  integer, parameter :: nGC_5657 = 589
  integer, parameter :: nGC_7902 = 590
  integer, parameter :: nGC_8327 = 591
  integer, parameter :: nGC_8758 = 592
  integer, parameter :: nGC_5658 = 593
  integer, parameter :: nGC_7489 = 594
  integer, parameter :: nGC_7483 = 595
  integer, parameter :: nGC_7482 = 596
  integer, parameter :: nGC_8284 = 597
  integer, parameter :: nGC_8285 = 598
  integer, parameter :: nGC_8286 = 599
  integer, parameter :: nGC_8287 = 600
  integer, parameter :: nGC_5838 = 601
  integer, parameter :: nGC_5839 = 602
  integer, parameter :: nGC_5835 = 603
  integer, parameter :: nGC_5836 = 604
  integer, parameter :: nGC_5837 = 605
  integer, parameter :: nGC_5830 = 606
  integer, parameter :: nGC_5831 = 607
  integer, parameter :: nGC_5832 = 608
  integer, parameter :: nGC_5833 = 609
  integer, parameter :: nGC_5579 = 610
  integer, parameter :: nGC_5578 = 611
  integer, parameter :: nGC_7724 = 612
  integer, parameter :: nGC_5575 = 613
  integer, parameter :: nGC_5574 = 614
  integer, parameter :: nGC_5577 = 615
  integer, parameter :: nGC_5576 = 616
  integer, parameter :: nGC_5571 = 617
  integer, parameter :: nGC_5570 = 618
  integer, parameter :: nGC_5573 = 619
  integer, parameter :: nGC_198 = 620
  integer, parameter :: nGC_5900 = 621
  integer, parameter :: nGC_5901 = 622
  integer, parameter :: nGC_5902 = 623
  integer, parameter :: nGC_5903 = 624
  integer, parameter :: nGC_5904 = 625
  integer, parameter :: nGC_5905 = 626
  integer, parameter :: nGC_5906 = 627
  integer, parameter :: nGC_7259 = 628
  integer, parameter :: nGC_8032 = 629
  integer, parameter :: nGC_7254 = 630
  integer, parameter :: nGC_8035 = 631
  integer, parameter :: nGC_7251 = 632
  integer, parameter :: nGC_5883 = 633
  integer, parameter :: nGC_5885 = 634
  integer, parameter :: nGC_5884 = 635
  integer, parameter :: nGC_5886 = 636
  integer, parameter :: nGC_5889 = 637
  integer, parameter :: nGC_5888 = 638
  integer, parameter :: nGC_7756 = 639
  integer, parameter :: nGC_7754 = 640
  integer, parameter :: nGC_7753 = 641
  integer, parameter :: nGC_8624 = 642
  integer, parameter :: nGC_9320 = 643
  integer, parameter :: nGC_8623 = 644
  integer, parameter :: nGC_7530 = 645
  integer, parameter :: nGC_5755 = 646
  integer, parameter :: nGC_5754 = 647
  integer, parameter :: nGC_5757 = 648
  integer, parameter :: nGC_5756 = 649
  integer, parameter :: nGC_5698 = 650
  integer, parameter :: nGC_5699 = 651
  integer, parameter :: nGC_5753 = 652
  integer, parameter :: nGC_5752 = 653
  integer, parameter :: nGC_5694 = 654
  integer, parameter :: nGC_5695 = 655
  integer, parameter :: nGC_5696 = 656
  integer, parameter :: nGC_5697 = 657
  integer, parameter :: nGC_5759 = 658
  integer, parameter :: nGC_5758 = 659
  integer, parameter :: nGC_5693 = 660
  integer, parameter :: nGC_5597 = 661
  integer, parameter :: nGC_5596 = 662
  integer, parameter :: nGC_5595 = 663
  integer, parameter :: nGC_5594 = 664
  integer, parameter :: nGC_5593 = 665
  integer, parameter :: nGC_5592 = 666
  integer, parameter :: nGC_5591 = 667
  integer, parameter :: nGC_5590 = 668
  integer, parameter :: nGC_5841 = 669
  integer, parameter :: nGC_7484 = 670
  integer, parameter :: nGC_5598 = 671
  integer, parameter :: nGC_7973 = 672
  integer, parameter :: nGC_7972 = 673
  integer, parameter :: nGC_7971 = 674
  integer, parameter :: nGC_7970 = 675
  integer, parameter :: nGC_7977 = 676
  integer, parameter :: nGC_7976 = 677
  integer, parameter :: nGC_7979 = 678
  integer, parameter :: nGC_7978 = 679
  integer, parameter :: nGC_7334 = 680
  integer, parameter :: nGC_8367 = 681
  integer, parameter :: nGC_7323 = 682
  integer, parameter :: nGC_7281 = 683
  integer, parameter :: nGC_5487 = 684
  integer, parameter :: nGC_12874 = 685
  integer, parameter :: nGC_12872 = 686
  integer, parameter :: nGC_7443 = 687
  integer, parameter :: nGC_5621 = 688
  integer, parameter :: nGC_5620 = 689
  integer, parameter :: nGC_5623 = 690
  integer, parameter :: nGC_5622 = 691
  integer, parameter :: nGC_5624 = 692
  integer, parameter :: nGC_5627 = 693
  integer, parameter :: nGC_5626 = 694
  integer, parameter :: nGC_5629 = 695
  integer, parameter :: nGC_5628 = 696
  integer, parameter :: nGC_7198 = 697
  integer, parameter :: nGC_7211 = 698
  integer, parameter :: nGC_7217 = 699
  integer, parameter :: nGC_7214 = 700
  integer, parameter :: nGC_7218 = 701
  integer, parameter :: nGC_7713 = 702
  integer, parameter :: nGC_8580 = 703
  integer, parameter :: nGC_7652 = 704
  integer, parameter :: nGC_5525 = 705
  integer, parameter :: nGC_7657 = 706
  integer, parameter :: nGC_7655 = 707
  integer, parameter :: nGC_7658 = 708
  integer, parameter :: nGC_5528 = 709
  integer, parameter :: nGC_5529 = 710
  integer, parameter :: nGC_5725 = 711
  integer, parameter :: nGC_7712 = 712
  integer, parameter :: nGC_5870 = 713
  integer, parameter :: nGC_5871 = 714
  integer, parameter :: nGC_8109 = 715
  integer, parameter :: nGC_5873 = 716
  integer, parameter :: nGC_5874 = 717
  integer, parameter :: nGC_5875 = 718
  integer, parameter :: nGC_5876 = 719
  integer, parameter :: nGC_5877 = 720
  integer, parameter :: nGC_5878 = 721
  integer, parameter :: nGC_5879 = 722
  integer, parameter :: nGC_11094 = 723
  integer, parameter :: nGC_8485 = 724
  integer, parameter :: nGC_5799 = 725
  integer, parameter :: nGC_7622 = 726
  integer, parameter :: nGC_7620 = 727
  integer, parameter :: nGC_5791 = 728
  integer, parameter :: nGC_5790 = 729
  integer, parameter :: nGC_5793 = 730
  integer, parameter :: nGC_5792 = 731
  integer, parameter :: nGC_9180 = 732
  integer, parameter :: nGC_5794 = 733
  integer, parameter :: nGC_5646 = 734
  integer, parameter :: nGC_7553 = 735
  integer, parameter :: nGC_7402 = 736
  integer, parameter :: nGC_7406 = 737
  integer, parameter :: nGC_7405 = 738
  integer, parameter :: nGC_7360 = 739
  integer, parameter :: nGC_5665 = 740
  integer, parameter :: nGC_5664 = 741
  integer, parameter :: nGC_5667 = 742
  integer, parameter :: nGC_5666 = 743
  integer, parameter :: nGC_5661 = 744
  integer, parameter :: nGC_5660 = 745
  integer, parameter :: nGC_5663 = 746
  integer, parameter :: nGC_5662 = 747
  integer, parameter :: nGC_5669 = 748
  integer, parameter :: nGC_5668 = 749
  integer, parameter :: nGC_5778 = 750
  integer, parameter :: nGC_5708 = 751
  integer, parameter :: nGC_5709 = 752
  integer, parameter :: nGC_5706 = 753
  integer, parameter :: nGC_5872 = 754
  integer, parameter :: nGC_5702 = 755
  integer, parameter :: nGC_5703 = 756
  integer, parameter :: nGC_5700 = 757
  integer, parameter :: nGC_5701 = 758
  integer, parameter :: nGC_5907 = 759
  integer, parameter :: nGC_8031 = 760
  integer, parameter :: nGC_7316 = 761
  integer, parameter :: nGC_7311 = 762
  integer, parameter :: nGC_5809 = 763
  integer, parameter :: nGC_5808 = 764
  integer, parameter :: nGC_5800 = 765
  integer, parameter :: nGC_5802 = 766
  integer, parameter :: nGC_5804 = 767
  integer, parameter :: nGC_5807 = 768
  integer, parameter :: nGC_5568 = 769
  integer, parameter :: nGC_5569 = 770
  integer, parameter :: nGC_5562 = 771
  integer, parameter :: nGC_5563 = 772
  integer, parameter :: nGC_5560 = 773
  integer, parameter :: nGC_5561 = 774
  integer, parameter :: nGC_5566 = 775
  integer, parameter :: nGC_5567 = 776
  integer, parameter :: nGC_5564 = 777
  integer, parameter :: nGC_5565 = 778
  integer, parameter :: nGC_7991 = 779
  integer, parameter :: nGC_7992 = 780
  integer, parameter :: nGC_454 = 781
  integer, parameter :: nGC_7999 = 782
  integer, parameter :: nGC_7998 = 783
  integer, parameter :: nGC_9007 = 784
  integer, parameter :: nGC_8385 = 785
  integer, parameter :: nGC_7381 = 786
  integer, parameter :: nGC_7382 = 787
  integer, parameter :: nGC_7383 = 788
  integer, parameter :: nGC_7223 = 789
  integer, parameter :: nGC_8021 = 790
  integer, parameter :: nGC_8022 = 791
  integer, parameter :: nGC_8023 = 792
  integer, parameter :: nGC_8024 = 793
  integer, parameter :: nGC_5932 = 794
  integer, parameter :: nGC_5896 = 795
  integer, parameter :: nGC_5897 = 796
  integer, parameter :: nGC_5890 = 797
  integer, parameter :: nGC_7668 = 798
  integer, parameter :: nGC_7741 = 799
  integer, parameter :: nGC_7742 = 800
  integer, parameter :: nGC_5517 = 801
  integer, parameter :: nGC_5516 = 802
  integer, parameter :: nGC_5514 = 803
  integer, parameter :: nGC_5513 = 804
  integer, parameter :: nGC_5512 = 805
  integer, parameter :: nGC_5510 = 806
  integer, parameter :: nGC_5795 = 807
  integer, parameter :: nGC_7529 = 808
  integer, parameter :: nGC_5742 = 809
  integer, parameter :: nGC_5743 = 810
  integer, parameter :: nGC_5746 = 811
  integer, parameter :: nGC_5747 = 812
  integer, parameter :: nGC_5744 = 813
  integer, parameter :: nGC_5745 = 814
  integer, parameter :: nGC_5748 = 815
  integer, parameter :: nGC_5749 = 816
  integer, parameter :: nGC_9179 = 817
  integer, parameter :: nGC_9178 = 818
  integer, parameter :: nGC_5584 = 819
  integer, parameter :: nGC_5585 = 820
  integer, parameter :: nGC_5586 = 821
  integer, parameter :: nGC_5587 = 822
  integer, parameter :: nGC_5581 = 823
  integer, parameter :: nGC_5582 = 824
  integer, parameter :: nGC_5583 = 825
  integer, parameter :: nGC_9893 = 826
  integer, parameter :: nGC_5588 = 827
  integer, parameter :: nGC_7960 = 828
  integer, parameter :: nGC_7961 = 829
  integer, parameter :: nGC_7962 = 830
  integer, parameter :: nGC_8370 = 831
  integer, parameter :: nGC_8371 = 832
  integer, parameter :: nGC_7350 = 833
  integer, parameter :: nGC_7357 = 834
  integer, parameter :: nGC_7356 = 835
  integer, parameter :: nGC_8034 = 836
  integer, parameter :: nGC_7293 = 837
  integer, parameter :: nGC_7290 = 838
  integer, parameter :: nGC_7291 = 839
  integer, parameter :: nGC_7294 = 840
  integer, parameter :: nGC_7591 = 841
  integer, parameter :: nGC_7452 = 842
  integer, parameter :: nGC_5737 = 843
  integer, parameter :: nGC_5736 = 844
  integer, parameter :: nGC_5735 = 845
  integer, parameter :: nGC_5734 = 846
  integer, parameter :: nGC_5733 = 847
  integer, parameter :: nGC_5732 = 848
  integer, parameter :: nGC_5638 = 849
  integer, parameter :: nGC_5639 = 850
  integer, parameter :: nGC_5637 = 851
  integer, parameter :: nGC_5634 = 852
  integer, parameter :: nGC_5635 = 853
  integer, parameter :: nGC_5632 = 854
  integer, parameter :: nGC_5630 = 855
  integer, parameter :: nGC_5631 = 856
  integer, parameter :: nGC_7792 = 857
  integer, parameter :: nGC_7791 = 858
  integer, parameter :: nGC_7790 = 859
  integer, parameter :: nGC_7797 = 860
  integer, parameter :: nGC_12316 = 861
  integer, parameter :: nGC_9512 = 862
  integer, parameter :: nGC_8185 = 863
  integer, parameter :: nGC_8188 = 864
  integer, parameter :: nGC_7188 = 865
  integer, parameter :: nGC_8579 = 866
  integer, parameter :: nGC_8573 = 867
  integer, parameter :: nGC_8576 = 868
  integer, parameter :: nGC_8574 = 869
  integer, parameter :: nGC_8575 = 870
  integer, parameter :: nGC_12407 = 871
  integer, parameter :: nGC_8675 = 872
  integer, parameter :: nGC_12149 = 873
  integer, parameter :: nGC_5553 = 874
  integer, parameter :: nGC_5550 = 875
  integer, parameter :: nGC_5557 = 876
  integer, parameter :: nGC_5556 = 877
  integer, parameter :: nGC_5555 = 878
  integer, parameter :: nGC_5492 = 879
  integer, parameter :: nGC_5490 = 880
  integer, parameter :: nGC_5558 = 881
  integer, parameter :: nGC_5496 = 882
  integer, parameter :: nGC_7708 = 883
  integer, parameter :: nGC_9054 = 884
  integer, parameter :: nGC_9055 = 885
  integer, parameter :: nGC_9052 = 886
  integer, parameter :: nGC_9358 = 887
  integer, parameter :: nGC_5541 = 888
  integer, parameter :: nGC_9321 = 889
  integer, parameter :: nGC_7275 = 890
  integer, parameter :: nGC_5849 = 891
  integer, parameter :: nGC_5848 = 892
  integer, parameter :: nGC_8056 = 893
  integer, parameter :: nGC_5845 = 894
  integer, parameter :: nGC_5846 = 895
  integer, parameter :: nGC_8114 = 896
  integer, parameter :: nGC_8115 = 897
  integer, parameter :: nGC_8978 = 898
  integer, parameter :: nGC_5647 = 899
  integer, parameter :: nGC_7732 = 900
  integer, parameter :: nGC_9900 = 901
  integer, parameter :: nGC_5786 = 902
  integer, parameter :: nGC_5787 = 903
  integer, parameter :: nGC_5784 = 904
  integer, parameter :: nGC_5782 = 905
  integer, parameter :: nGC_5783 = 906
  integer, parameter :: nGC_5780 = 907
  integer, parameter :: nGC_5536 = 908
  integer, parameter :: nGC_5788 = 909
  integer, parameter :: nGC_5863 = 910
  integer, parameter :: nGC_5862 = 911
  integer, parameter :: nGC_7638 = 912
  integer, parameter :: nGC_5866 = 913
  integer, parameter :: nGC_5731 = 914
  integer, parameter :: nGC_5730 = 915
  integer, parameter :: nGC_11919 = 916
  integer, parameter :: nGC_7415 = 917
  integer, parameter :: nGC_7416 = 918
  integer, parameter :: nGC_7417 = 919
  integer, parameter :: nGC_7418 = 920
  integer, parameter :: nGC_7419 = 921
  integer, parameter :: nGC_11917 = 922
  integer, parameter :: nGC_8230 = 923
  integer, parameter :: nGC_5672 = 924
  integer, parameter :: nGC_5673 = 925
  integer, parameter :: nGC_5670 = 926
  integer, parameter :: nGC_5671 = 927
  integer, parameter :: nGC_5676 = 928
  integer, parameter :: nGC_5677 = 929
  integer, parameter :: nGC_5674 = 930
  integer, parameter :: nGC_5675 = 931
  integer, parameter :: nGC_7551 = 932
  integer, parameter :: nGC_5678 = 933
  integer, parameter :: nGC_5679 = 934
  integer, parameter :: nGC_7554 = 935
  integer, parameter :: nGC_5779 = 936
  integer, parameter :: nGC_7439 = 937
  integer, parameter :: nGC_5739 = 938
  integer, parameter :: nGC_5772 = 939
  integer, parameter :: nGC_5771 = 940
  integer, parameter :: nGC_5770 = 941
  integer, parameter :: nGC_5777 = 942
  integer, parameter :: nGC_5776 = 943
  integer, parameter :: nGC_7851 = 944
  integer, parameter :: nGC_5540 = 945
  integer, parameter :: nGC_7304 = 946
  integer, parameter :: nGC_7305 = 947
  integer, parameter :: nGC_7306 = 948
  integer, parameter :: nGC_7303 = 949
  integer, parameter :: nGC_5607 = 950
  integer, parameter :: nGC_5606 = 951
  integer, parameter :: nGC_5605 = 952
  integer, parameter :: nGC_5604 = 953
  integer, parameter :: nGC_5602 = 954
  integer, parameter :: nGC_5600 = 955
  integer, parameter :: nGC_5609 = 956
  integer, parameter :: nGC_5608 = 957
  integer, parameter :: nGC_5751 = 958
  integer, parameter :: nGC_5750 = 959
  integer, parameter :: nGC_5705 = 960
  integer, parameter :: nGC_7986 = 961
  integer, parameter :: nGC_7987 = 962
  integer, parameter :: nGC_7985 = 963
  integer, parameter :: nGC_7232 = 964
  integer, parameter :: nGC_7233 = 965
  integer, parameter :: nGC_7234 = 966
  integer, parameter :: nGC_7235 = 967
  integer, parameter :: nGC_9516 = 968
  integer, parameter :: nGC_9515 = 969
  integer, parameter :: nGC_5690 = 970
  integer, parameter :: nGC_5691 = 971
  integer, parameter :: nGC_8189 = 972
  integer, parameter :: nGC_9518 = 973
  integer, parameter :: nGC_5509 = 974
  integer, parameter :: nGC_7779 = 975
  integer, parameter :: nGC_7778 = 976
  integer, parameter :: nGC_5506 = 977
  integer, parameter :: nGC_5507 = 978
  integer, parameter :: nGC_5500 = 979
  integer, parameter :: nGC_5501 = 980
  integer, parameter :: nGC_7676 = 981
  integer, parameter :: nGC_9309 = 982
  integer, parameter :: nGC_5814 = 983
  integer, parameter :: nGC_5812 = 984
  integer, parameter :: nGC_5811 = 985
  integer, parameter :: nGC_8643 = 986
  integer, parameter :: nGC_8644 = 987
  integer, parameter :: nGC_8645 = 988
  integer, parameter :: nGC_5818 = 989
  integer, parameter :: nGC_8646 = 990
  integer, parameter :: nGC_7515 = 991
  integer, parameter :: nGC_7514 = 992
  integer, parameter :: nGC_7517 = 993
  integer, parameter :: nGC_7183 = 994
  integer, parameter :: nGC_9167 = 995
  integer, parameter :: nGC_9607 = 996
  integer, parameter :: nGC_9604 = 997
  integer, parameter :: nGC_7959 = 998
  integer, parameter :: nGC_7347 = 999
  integer, parameter :: nGC_7348 = 1000
  integer, parameter :: nGC_7349 = 1001
  integer, parameter :: nGC_8341 = 1002
  integer, parameter :: nGC_7468 = 1003
  integer, parameter :: nGC_7464 = 1004
  integer, parameter :: nGC_5724 = 1005
  integer, parameter :: nGC_9116 = 1006
  integer, parameter :: nGC_5726 = 1007
  integer, parameter :: nGC_5727 = 1008
  integer, parameter :: nGC_5720 = 1009
  integer, parameter :: nGC_5721 = 1010
  integer, parameter :: nGC_5722 = 1011
  integer, parameter :: nGC_5723 = 1012
  integer, parameter :: nGC_5643 = 1013
  integer, parameter :: nGC_5642 = 1014
  integer, parameter :: nGC_5641 = 1015
  integer, parameter :: nGC_5640 = 1016
  integer, parameter :: nGC_5728 = 1017
  integer, parameter :: nGC_5729 = 1018
  integer, parameter :: nGC_5645 = 1019
  integer, parameter :: nGC_7780 = 1020
  integer, parameter :: nGC_7787 = 1021
  integer, parameter :: nGC_7789 = 1022
  integer, parameter :: nGC_5539 = 1023
  integer, parameter :: nGC_7825 = 1024
  integer, parameter :: nGC_7824 = 1025
  integer, parameter :: nGC_7827 = 1026
  integer, parameter :: nGC_7826 = 1027
  integer, parameter :: nGC_8461 = 1028
  integer, parameter :: nGC_8462 = 1029
  integer, parameter :: nGC_8293 = 1030
  integer, parameter :: nGC_8292 = 1031
  integer, parameter :: nGC_8330 = 1032
  integer, parameter :: nGC_8331 = 1033
  integer, parameter :: nGC_8998 = 1034
  integer, parameter :: nGC_5543 = 1035
  integer, parameter :: nGC_7733 = 1036
  integer, parameter :: nGC_5547 = 1037
  integer, parameter :: nGC_5548 = 1038
  integer, parameter :: nGC_5549 = 1039
  integer, parameter :: nGC_8994 = 1040
  integer, parameter :: nGC_8995 = 1041
  integer, parameter :: nGC_8684 = 1042
  integer, parameter :: nGC_7241 = 1043
  integer, parameter :: nGC_7247 = 1044
  integer, parameter :: nGC_12926 = 1045
  integer, parameter :: nGC_11996 = 1046
  integer, parameter :: nGC_5504 = 1047
  integer, parameter :: nGC_5499 = 1048
  integer, parameter :: nGC_7696 = 1049
  integer, parameter :: nGC_7697 = 1050
  integer, parameter :: nGC_12193 = 1051
  integer, parameter :: nGC_7691 = 1052
  integer, parameter :: nGC_8229 = 1053
  integer, parameter :: nGC_7755 = 1054
  integer, parameter :: nGC_9008 = 1055
  integer, parameter :: nGC_7619 = 1056
  integer, parameter :: nGC_7384 = 1057
  integer, parameter :: nGC_5763 = 1058
  integer, parameter :: nGC_5764 = 1059
  integer, parameter :: nGC_5765 = 1060
  integer, parameter :: nGC_5766 = 1061
  integer, parameter :: nGC_5767 = 1062
  integer, parameter :: nGC_7532 = 1063
  integer, parameter :: nGC_7531 = 1064
  integer, parameter :: nGC_7537 = 1065
  integer, parameter :: nGC_7430 = 1066
  integer, parameter :: nGC_7431 = 1067
  integer, parameter :: nGC_7988 = 1068
  integer, parameter :: nGC_7336 = 1069
  integer, parameter :: nGC_9517 = 1070
  integer, parameter :: nGC_8486 = 1071
  integer, parameter :: nGC_8487 = 1072
  integer, parameter :: nGC_11095 = 1073
  integer, parameter :: nGC_7324 = 1074
  integer, parameter :: nGC_8082 = 1075
  integer, parameter :: nGC_7284 = 1076
  integer, parameter :: nGC_8368 = 1077
  integer, parameter :: nGC_7282 = 1078
  integer, parameter :: nGC_8003 = 1079
  integer, parameter :: nGC_8796 = 1080
  integer, parameter :: nGC_8797 = 1081
  integer, parameter :: nGC_7351 = 1082
  integer, parameter :: nGC_7641 = 1083
  integer, parameter :: nGC_7640 = 1084
  integer, parameter :: nGC_8652 = 1085
  integer, parameter :: nGC_7292 = 1086
  integer, parameter :: nGC_7458 = 1087
  integer, parameter :: nGC_7191 = 1088
  integer, parameter :: nGC_7889 = 1089
  integer, parameter :: nGC_8077 = 1090
  integer, parameter :: nGC_9608 = 1091
  integer, parameter :: nGC_7518 = 1092
  integer, parameter :: nGC_7793 = 1093
  integer, parameter :: nGC_8582 = 1094
  integer, parameter :: nGC_8581 = 1095
  integer, parameter :: nGC_7465 = 1096
  integer, parameter :: nGC_7184 = 1097
  integer, parameter :: nGC_7656 = 1098
  integer, parameter :: nGC_8186 = 1099
  integer, parameter :: nGC_12013 = 1100
  integer, parameter :: nGC_9519 = 1101
  integer, parameter :: nGC_7659 = 1102
  integer, parameter :: nGC_7469 = 1103
  integer, parameter :: nGC_7890 = 1104
  integer, parameter :: nGC_7891 = 1105
  integer, parameter :: nGC_11272 = 1106
  integer, parameter :: nGC_11273 = 1107
  integer, parameter :: nGC_11276 = 1108
  integer, parameter :: nGC_11277 = 1109
  integer, parameter :: nGC_7475 = 1110
  integer, parameter :: nGC_7375 = 1111
  integer, parameter :: nGC_7216 = 1112
  integer, parameter :: nGC_7376 = 1113
  integer, parameter :: nGC_9056 = 1114
  integer, parameter :: nGC_9057 = 1115
  integer, parameter :: nGC_8625 = 1116
  integer, parameter :: nGC_7621 = 1117
  integer, parameter :: nGC_8055 = 1118
  integer, parameter :: nGC_5719 = 1119
  integer, parameter :: nGC_5718 = 1120
  integer, parameter :: nGC_8116 = 1121
  integer, parameter :: nGC_7734 = 1122
  integer, parameter :: nGC_7639 = 1123
  integer, parameter :: nGC_7485 = 1124
  integer, parameter :: nGC_7317 = 1125
  integer, parameter :: nGC_7313 = 1126
  integer, parameter :: nGC_7312 = 1127
  integer, parameter :: nGC_8526 = 1128
  integer, parameter :: nGC_7692 = 1129
  integer, parameter :: nGC_8488 = 1130
  integer, parameter :: nGC_7219 = 1131
  integer, parameter :: nGC_7283 = 1132
  integer, parameter :: nGC_8369 = 1133
  integer, parameter :: nGC_8527 = 1134
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
