!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 16:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_GG) = cima*dt_QED1/vev
    coupl(nGC_5860) = -cima*dyb_QED1_QCD2
    coupl(nGC_5925) = -cima*dMS_QCD2
    coupl(nGC_7488) = coupl(nGC_23)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_5834) = coupl(nGC_5347)*dZee_QED2 + coupl(nGC_5348)*dcw_QED2
    coupl(nGC_5908) = coupl(nGC_5377)*dyt_QED1_QCD2
    coupl(nGC_5891) = coupl(nGC_5406)*dytau_QED3
    coupl(nGC_8787) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_5692) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_5489) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_5599) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7328) = coupl(nGC_2)*dZtR_QCD2
    coupl(nGC_7442) = coupl(nGC_23)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_5625) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5842) = coupl(nGC_3869)*dZgs_QCD2
    coupl(nGC_7215) = coupl(nGC_1)*dZAZ_QED2/2d0
    coupl(nGC_7195) = coupl(nGC_27)*dZAZ_QED2/2d0 + coupl(nGC_5834) + coupl(   &
                      nGC_8)*dZH_QED2/2d0 + coupl(nGC_8)*dZWMinus_QED2/2d0 +   &
                      coupl(nGC_8)*dZZ_QED2/2d0
    coupl(nGC_5526) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_5527) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5524) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi**2d0*&
                      Nc)
    coupl(nGC_5522) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(nGC_11 &
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5488) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5520) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_9049) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_7711) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_7710) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_5572) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7268) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
    coupl(nGC_5880) = -cima*dye_QED3
    coupl(nGC_8014) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_5798) = coupl(nGC_5343)*dZgs_QCD2
    coupl(nGC_5797) = -3d0*cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc** &
                      3d0)
    coupl(nGC_5796) = cima*coupl(nGC_11)**4d0*sq2**4d0/(32d0*pi**2d0*Nc**2d0)
    coupl(nGC_7403) = coupl(nGC_4)*dZeMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0
    coupl(nGC_5523) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_7408) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_5707) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_5704) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_5521) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 +  &
                      cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0)
    coupl(nGC_5909) = coupl(nGC_5377)*dyt_QED3
    coupl(nGC_HHHH) = -3d0*cima*dt_QED1/vev**3d0
    coupl(nGC_7310) = coupl(nGC_29)*dZAZ_QED2
    coupl(nGC_7498) = coupl(nGC_11)*dZtR_QCD2
    coupl(nGC_7499) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_5842)
    coupl(nGC_7495) = coupl(nGC_11)*dZtL_QED2
    coupl(nGC_7496) = coupl(nGC_11)*dZtL_QCD2
    coupl(nGC_7497) = coupl(nGC_11)*dZtR_QED2
    coupl(nGC_7690) = coupl(nGC_71)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_5801) = coupl(nGC_5345)*dZee_QED2
    coupl(nGC_5803) = coupl(nGC_5402)*dZee_QED2 + coupl(nGC_5403)*dsw_QED2
    coupl(nGC_5805) = coupl(nGC_5409)*dZee_QED2 + coupl(nGC_5410)*dsw_QED2 +   &
                      coupl(nGC_5411)*dcw_QED2
    coupl(nGC_5806) = coupl(nGC_5342)*dZee_QED2
    coupl(nGC_9899) = coupl(nGC_11)*dZbL_QCD2
    coupl(nGC_8384) = coupl(nGC_37)*dZZA_QED2/2d0
    coupl(nGC_5931) = coupl(nGC_3887)*dMW2_QED2
    coupl(nGC_5930) = coupl(nGC_3885)*dMW2_QED2
    coupl(nGC_5820) = coupl(nGC_5346)*dZee_QED2
    coupl(nGC_8974) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_5898) = coupl(nGC_5376)*dyc_QED1_QCD2
    coupl(nGC_5899) = coupl(nGC_5376)*dyc_QED3
    coupl(nGC_5894) = coupl(nGC_5344)*dyup_QED1_QCD2
    coupl(nGC_5895) = coupl(nGC_5344)*dyup_QED3
    coupl(nGC_5892) = coupl(nGC_5452)*dyup_QED1_QCD2
    coupl(nGC_5893) = coupl(nGC_5452)*dyup_QED3
    coupl(nGC_5881) = -cima*dym_QED3
    coupl(nGC_5518) = cima*(coupl(nGC_23)**2d0 + coupl(nGC_4)**2d0 + coupl(    &
                      nGC_40)**2d0)/(16d0*pi**2d0)
    coupl(nGC_5515) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5511) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5882) = -cima*dytau_QED3
    coupl(nGC_5887) = coupl(nGC_5396)*dytau_QED3
    coupl(nGC_7522) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_7527) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_5740) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +    &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_5741) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -   &
                      coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_5580) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7354) = coupl(nGC_29)*dZZA_QED2
    coupl(nGC_5519) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_7590) = coupl(nGC_5892) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZuR_QCD2/2d0
    coupl(nGC_7593) = coupl(nGC_5895) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                      nGC_88)*dZuR_QED2/2d0
    coupl(nGC_7592) = coupl(nGC_5893) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                      nGC_86)*dZuR_QED2/2d0
    coupl(nGC_7750) = coupl(nGC_11)*dZuL_QCD2
    coupl(nGC_7599) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_7598) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_GPGMGPGM) = -2d0*cima*dt_QED1/vev**3d0
    coupl(nGC_5636) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5633) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7355) = coupl(nGC_5)*dZA_QED2 + coupl(nGC_5)*dZWMinus_QED2 +     &
                      coupl(nGC_5801)
    coupl(nGC_7649) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_5825) = coupl(nGC_5412)*dZee_QED2 + coupl(nGC_5413)*dsw_QED2
    coupl(nGC_5538) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*coupl(&
                      nGC_2)*coupl(nGC_23)**2d0 - 11d0*coupl(nGC_172)**2d0*    &
                      coupl(nGC_3) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_4) -    &
                      11d0*coupl(nGC_3)*coupl(nGC_352)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5552) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl( &
                      nGC_71)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5498) = cima*(coupl(nGC_172)**2d0 + coupl(nGC_25)**2d0 + coupl(  &
                      nGC_3)**2d0 + coupl(nGC_352)**2d0)/(48d0*pi**2d0)
    coupl(nGC_5554) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_5497) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - coupl(nGC_172)**2d0 - &
                      2d0*coupl(nGC_23)**2d0 - coupl(nGC_25)**2d0 - coupl(nGC_3&
                      )**2d0 - coupl(nGC_352)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5494) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_3)**2d0 - coupl(nGC_352)**2d0 - 4d0*coupl&
                      (nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5495) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_352)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_9355) = coupl(nGC_I)*dZH_QED2
    coupl(nGC_7276) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_8975) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_5844) = coupl(nGC_5443)*dZee_QED2 + coupl(nGC_5444)*dsw_QED2 +   &
                      coupl(nGC_5445)*dcw_QED2
    coupl(nGC_5847) = coupl(nGC_5446)*dZee_QED2 + coupl(nGC_5447)*dsw_QED2 +   &
                      coupl(nGC_5448)*dcw_QED2
    coupl(nGC_5840) = coupl(nGC_5453)*dZee_QED2
    coupl(nGC_8979) = coupl(nGC_11)*dZsR_QCD2
    coupl(nGC_7404) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_5806)
    coupl(nGC_9901) = coupl(nGC_7499) + coupl(nGC_9899)
    coupl(nGC_5537) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5781) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_956) - 3d0*Nc*coupl(     &
                      nGC_10)**2d0*coupl(nGC_962) - 30d0*cima*coupl(nGC_11)**  &
                      4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_5789) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_962)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_956)*sq2&
                      **2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_962)*sq2**2d0  &
                      )/(192d0*pi**2d0)
    coupl(nGC_HHGG) = -cima*dt_QED1/vev**3d0
    coupl(nGC_5861) = -cima*dyb_QED3
    coupl(nGC_7413) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_5868) = coupl(nGC_5395)*dys_QED1_QCD2
    coupl(nGC_5773) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(64d0*pi**2d0)
    coupl(nGC_5775) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(  &
                      nGC_2))/(16d0*pi**2d0*Nc**2d0)
    coupl(nGC_5774) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl( &
                      nGC_2))/(32d0*pi**2d0*Nc)
    coupl(nGC_HHH) = -3d0*cima*dt_QED1/vev**2d0
    coupl(nGC_7855) = coupl(nGC_24)*dZZA_QED2/2d0 + coupl(nGC_4)*dZA_QED2/2d0  &
                       + coupl(nGC_5806)
    coupl(nGC_7856) = -coupl(nGC_7855)
    coupl(nGC_7857) = coupl(nGC_52)*dZZA_QED2/2d0
    coupl(nGC_5503) = cima*(coupl(nGC_172)*coupl(nGC_352) + coupl(nGC_25)*coupl&
                      (nGC_3))/(48d0*pi**2d0)
    coupl(nGC_7749) = coupl(nGC_11)*dZuL_QED2
    coupl(nGC_7796) = coupl(nGC_23)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_5913) = -cima*dME_QED2
    coupl(nGC_7307) = coupl(nGC_46)*dZZA_QED2/2d0
    coupl(nGC_5911) = -cima*dMH2_QED2
    coupl(nGC_5603) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5601) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8981) = coupl(nGC_7499) + coupl(nGC_8975)
    coupl(nGC_9898) = coupl(nGC_11)*dZbL_QED2
    coupl(nGC_5853) = cima*dyup_QED3
    coupl(nGC_8980) = coupl(nGC_7499) + coupl(nGC_8979)
    coupl(nGC_5851) = -cima*dydo_QED3
    coupl(nGC_5928) = cima*dMZ2_QED2
    coupl(nGC_5929) = cima*dMW2_QED2
    coupl(nGC_5922) = -cima*dMD_QED2
    coupl(nGC_5923) = -cima*dMD_QCD2
    coupl(nGC_5924) = -cima*dMS_QED2
    coupl(nGC_8019) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_5918) = -cima*dMC_QED2
    coupl(nGC_7773) = coupl(nGC_79)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_5508) = cima*(coupl(nGC_172)**2d0 + coupl(nGC_25)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_5816) = coupl(nGC_5353)*dlam_QED4
    coupl(nGC_5817) = -cima*dlam_QED4
    coupl(nGC_5815) = coupl(nGC_5397)*dlam_QED4
    coupl(nGC_5813) = coupl(nGC_5440)*dZee_QED2 + coupl(nGC_5441)*dsw_QED2 +   &
                      coupl(nGC_5442)*dMZ2_QED2
    coupl(nGC_5810) = coupl(nGC_5475)*dsw_QED2 + coupl(nGC_5476)*dMW2_QED2 +   &
                      coupl(nGC_5477)*dZee_QED2 + coupl(nGC_5478)*dcw_QED2
    coupl(nGC_5819) = coupl(nGC_5358)*dlam_QED4 + coupl(nGC_5359)*dvev_QED1
    coupl(nGC_7511) = coupl(nGC_4)*dZA_QED2/2d0 + coupl(nGC_40)*dZZA_QED2/2d0  &
                       + coupl(nGC_5806)
    coupl(nGC_5920) = -cima*dMT_QED2
    coupl(nGC_7512) = -coupl(nGC_7511)
    coupl(nGC_5926) = -cima*dMB_QED2
    coupl(nGC_GGH) = -cima*dt_QED1/vev**2d0
    coupl(nGC_5927) = -cima*dMB_QCD2
    coupl(nGC_8053) = coupl(nGC_4)*dZmuMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/2d0
    coupl(nGC_8344) = coupl(nGC_5931) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_7581) = coupl(nGC_13)*dZH_QED2 + coupl(nGC_5816) + coupl(nGC_HHGG)
    coupl(nGC_5649) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_23)*    &
                      coupl(nGC_77)*coupl(nGC_890) - coupl(nGC_35)*coupl(nGC_37&
                      )*coupl(nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_79) - coupl(nGC_39)*coupl(nGC_638)*coupl(nGC_78) -   &
                      coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(nGC_78 &
                      )**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5648) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5843) = coupl(nGC_5415)*dZee_QED2 + coupl(nGC_5416)*dsw_QED2
    coupl(nGC_5589) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(    &
                      nGC_1)*coupl(nGC_262)*coupl(nGC_57) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_57) - coupl(nGC_21)*coupl(nGC_23)*coupl(&
                      nGC_59) - coupl(nGC_23)*coupl(nGC_292)*coupl(nGC_58) +   &
                      8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl(   &
                      nGC_35)*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_38)*coupl&
                      (nGC_464)*coupl(nGC_57) - coupl(nGC_58)*coupl(nGC_73)*   &
                      coupl(nGC_76) - coupl(nGC_59)*coupl(nGC_73)*coupl(nGC_75 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5644) = (coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_890) + coupl(     &
                      nGC_36)*coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl&
                      (nGC_71) + coupl(nGC_40)*coupl(nGC_638)*coupl(nGC_70) -  &
                      coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(nGC_71)**3d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_13618) = -coupl(nGC_5538)
    coupl(nGC_7786) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_7788) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_7820) = coupl(nGC_35)*dZuR_QCD2
    coupl(nGC_7823) = coupl(nGC_39)*dZuL_QCD2
    coupl(nGC_7709) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_5785) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_12)*coupl(nGC_962) + 6d0*Nc*cima*coupl(nGC_960 &
                      )*coupl(nGC_962) - 9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12&
                      )*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_956)*sq2&
                      **2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_960)*sq2**2d0&
                       - 9d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_962)*sq2**2d0 -   &
                      6d0*cima*coupl(nGC_11)**4d0*sq2**4d0)/(384d0*pi**2d0*Nc)
    coupl(nGC_9896) = coupl(nGC_11)*dZbR_QED2
    coupl(nGC_8291) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_8290) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_8112) = coupl(nGC_39)*dZcL_QCD2
    coupl(nGC_5829) = coupl(nGC_5364)*dsw_QED2 + coupl(nGC_5365)*dZee_QED2 +   &
                      coupl(nGC_5366)*dvev_QED1
    coupl(nGC_5828) = coupl(nGC_5400)*dZee_QED2 + coupl(nGC_5401)*dsw_QED2
    coupl(nGC_5827) = coupl(nGC_5404)*dZee_QED2 + coupl(nGC_5405)*dsw_QED2
    coupl(nGC_5826) = coupl(nGC_5421)*dZee_QED2 + coupl(nGC_5422)*dsw_QED2
    coupl(nGC_8224) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5824) = coupl(nGC_5407)*dZee_QED2 + coupl(nGC_5408)*dsw_QED2
    coupl(nGC_5823) = coupl(nGC_5371)*dsw_QED2 + coupl(nGC_5372)*dZee_QED2 +   &
                      coupl(nGC_5373)*dvev_QED1
    coupl(nGC_5822) = coupl(nGC_5423)*dZee_QED2 + coupl(nGC_5424)*dsw_QED2
    coupl(nGC_5821) = coupl(nGC_5428)*dZee_QED2 + coupl(nGC_5429)*dsw_QED2
    coupl(nGC_5559) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_9897) = coupl(nGC_11)*dZbR_QCD2
    coupl(nGC_5542) = (-6d0*coupl(nGC_20)*coupl(nGC_22)*coupl(nGC_352) - 6d0*  &
                      coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_3) + coupl(nGC_262 &
                      )*coupl(nGC_292)*coupl(nGC_988) + coupl(nGC_292)*coupl(  &
                      nGC_4)*coupl(nGC_890))/(96d0*pi**2d0)
    coupl(nGC_5544) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_5545) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_5546) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7731) = coupl(nGC_55)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_8685) = coupl(nGC_5887) + coupl(nGC_82)*dZtauMinusL_QED2/2d0 +   &
                      coupl(nGC_82)*dZtauMinusR_QED2/2d0
    coupl(nGC_5858) = cima*dyt_QED1_QCD2
    coupl(nGC_5859) = cima*dyt_QED3
    coupl(nGC_5917) = -cima*dMU_QCD2
    coupl(nGC_7552) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZsR_QED2 +   &
                      coupl(nGC_5847)
    coupl(nGC_5915) = -cima*dMTA_QED2
    coupl(nGC_5914) = -cima*dMM_QED2
    coupl(nGC_5852) = cima*dyup_QED1_QCD2
    coupl(nGC_5916) = -cima*dMU_QED2
    coupl(nGC_5919) = -cima*dMC_QCD2
    coupl(nGC_8517) = coupl(nGC_21)*dZH_QED2/2d0 + coupl(nGC_21)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_5825)
    coupl(nGC_5856) = -cima*dys_QED1_QCD2
    coupl(nGC_5857) = -cima*dys_QED3
    coupl(nGC_5854) = cima*dyc_QED1_QCD2
    coupl(nGC_5855) = cima*dyc_QED3
    coupl(nGC_5850) = -cima*dydo_QED1_QCD2
    coupl(nGC_7774) = coupl(nGC_79)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_7601) = coupl(nGC_11)*dZdR_QCD2
    coupl(nGC_7600) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_7603) = coupl(nGC_7499) + coupl(nGC_7599)
    coupl(nGC_7602) = coupl(nGC_7499) + coupl(nGC_7601)
    coupl(nGC_5921) = -cima*dMT_QCD2
    coupl(nGC_5551) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_7244) = coupl(nGC_5930) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_5505) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl( &
                      nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(nGC_64&
                      ) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc*coupl(   &
                      nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*coupl(nGC_88&
                      ) + 2d0*coupl(nGC_22)*coupl(nGC_292) + coupl(nGC_37)*    &
                      coupl(nGC_638) + 4d0*coupl(nGC_66)*coupl(nGC_68) + 4d0*  &
                      coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl(nGC_82)*coupl(   &
                      nGC_84))/(96d0*pi**2d0)
    coupl(nGC_7730) = coupl(nGC_55)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_7546) = coupl(nGC_38)*dZsL_QCD2
    coupl(nGC_8228) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_5502) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_172)*  &
                      coupl(nGC_352) - coupl(nGC_25)*coupl(nGC_3) - 2d0*coupl( &
                      nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl(nGC_40))/( &
                      32d0*pi**2d0)
    coupl(nGC_7540) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_5798)
    coupl(nGC_7541) = -coupl(nGC_7540)
    coupl(nGC_8222) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_8223) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_8221) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_8227) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_7423) = coupl(nGC_42)*dZZA_QED2 + coupl(nGC_5820) + coupl(nGC_6)*&
                      dZA_QED2
    coupl(nGC_7549) = coupl(nGC_34)*dZsR_QCD2
    coupl(nGC_5491) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_5689) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_5688) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_54)*   &
                      coupl(nGC_56) + coupl(nGC_55)**2d0 + coupl(nGC_77)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_5687) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*coupl(     &
                      nGC_87)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5686) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*coupl(     &
                      nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5685) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82)*coupl(&
                      nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_5684) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +     &
                      coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5683) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*coupl(     &
                      nGC_79)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5682) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*coupl(     &
                      nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5681) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +     &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_73)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5680) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_172 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) +    &
                      coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5768) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(  &
                      nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(     &
                      nGC_78)*coupl(nGC_80) - coupl(nGC_86)*coupl(nGC_88))/(   &
                      16d0*pi**2d0)
    coupl(nGC_5769) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl(   &
                      nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(     &
                      nGC_78)*coupl(nGC_80) + coupl(nGC_86)*coupl(nGC_88))/(   &
                      16d0*pi**2d0*Nc)
    coupl(nGC_5760) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_55)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_63)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_75)**2d0 + 40d0*Nc*&
                      cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55)**2d0 +    &
                      40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63)** &
                      2d0 + 40d0*Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(    &
                      nGC_75)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*coupl(    &
                      nGC_59)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*coupl(    &
                      nGC_79)**2d0 - 32d0*Nc*cima*coupl(nGC_35)**2d0*coupl(    &
                      nGC_87)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39)* &
                      coupl(nGC_59)**2d0 + 40d0*Nc*cima*coupl(nGC_35)*coupl(   &
                      nGC_39)*coupl(nGC_79)**2d0 + 40d0*Nc*cima*coupl(nGC_35)* &
                      coupl(nGC_39)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(   &
                      nGC_38)**2d0*coupl(nGC_55)**2d0 - 32d0*Nc*cima*coupl(    &
                      nGC_38)**2d0*coupl(nGC_63)**2d0 - 32d0*Nc*cima*coupl(    &
                      nGC_38)**2d0*coupl(nGC_75)**2d0 - 32d0*Nc*cima*coupl(    &
                      nGC_39)**2d0*coupl(nGC_59)**2d0 - 32d0*Nc*cima*coupl(    &
                      nGC_39)**2d0*coupl(nGC_79)**2d0 - 32d0*Nc*cima*coupl(    &
                      nGC_39)**2d0*coupl(nGC_87)**2d0 + 12d0*cima*coupl(nGC_17 &
                      )*coupl(nGC_368) + 9d0*cima*coupl(nGC_172)**2d0*coupl(   &
                      nGC_20)*coupl(nGC_988) + 4d0*cima*coupl(nGC_20)*coupl(   &
                      nGC_464)**2d0*coupl(nGC_988) + 9d0*cima*coupl(nGC_21)*   &
                      coupl(nGC_25)**2d0*coupl(nGC_890) + 4d0*cima*coupl(nGC_21&
                      )*coupl(nGC_40)**2d0*coupl(nGC_890) - 32d0*cima*coupl(   &
                      nGC_36)**2d0*coupl(nGC_67)**2d0 - 32d0*cima*coupl(nGC_36 &
                      )**2d0*coupl(nGC_71)**2d0 - 32d0*cima*coupl(nGC_36)**2d0*&
                      coupl(nGC_83)**2d0 + 40d0*cima*coupl(nGC_36)*coupl(nGC_40&
                      )*coupl(nGC_67)**2d0 + 40d0*cima*coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_71)**2d0 + 40d0*cima*coupl(nGC_36)*    &
                      coupl(nGC_40)*coupl(nGC_83)**2d0 + 4d0*cima*coupl(nGC_37 &
                      )**2d0*coupl(nGC_638)**2d0 - 32d0*cima*coupl(nGC_40)**2d0&
                      *coupl(nGC_67)**2d0 - 32d0*cima*coupl(nGC_40)**2d0*coupl(&
                      nGC_71)**2d0 - 32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_83 &
                      )**2d0 + 18d0*coupl(nGC_17)*coupl(nGC_172)**2d0 + 18d0*  &
                      coupl(nGC_17)*coupl(nGC_25)**2d0 - 6d0*coupl(nGC_172)*   &
                      coupl(nGC_20)*coupl(nGC_8) - 6d0*coupl(nGC_172)*coupl(   &
                      nGC_8)*coupl(nGC_988) - 3d0*coupl(nGC_20)*coupl(nGC_368)*&
                      coupl(nGC_988) + 3d0*coupl(nGC_20)*coupl(nGC_45)*coupl(  &
                      nGC_988) - 6d0*coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_8   &
                      ) - 3d0*coupl(nGC_21)*coupl(nGC_368)*coupl(nGC_890) + 3d0&
                      *coupl(nGC_21)*coupl(nGC_45)*coupl(nGC_890) - 6d0*coupl( &
                      nGC_25)*coupl(nGC_8)*coupl(nGC_890) + 3d0*coupl(nGC_37)* &
                      coupl(nGC_46)*coupl(nGC_638))/(96d0*pi**2d0)
    coupl(nGC_5761) = cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(32d0&
                      *pi**2d0)
    coupl(nGC_5762) = -cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(   &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5659) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_7869) = coupl(nGC_17)*dZH_QED2 + coupl(nGC_17)*dZWMinus_QED2 +   &
                      coupl(nGC_5828)
    coupl(nGC_7903) = coupl(nGC_5859) + coupl(nGC_77)*dZbL_QED2/2d0 + coupl(   &
                      nGC_77)*dZtR_QED2/2d0
    coupl(nGC_7900) = coupl(nGC_53)*dZbR_QCD2/2d0 + coupl(nGC_53)*dZtL_QCD2/2d0&
                       + coupl(nGC_5860)
    coupl(nGC_7901) = coupl(nGC_5858) + coupl(nGC_77)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_77)*dZtR_QCD2/2d0
    coupl(nGC_7861) = coupl(nGC_41)*dZZA_QED2/2d0
    coupl(nGC_8258) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_7331) = coupl(nGC_2)*dZtL_QCD2
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
