!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-09 16:40             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_7333) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_5840)
    coupl(nGC_7335) = coupl(nGC_2)*dZtL_QED2 + coupl(nGC_39)*dZZA_QED2/2d0
    coupl(nGC_7337) = coupl(nGC_7333) + coupl(nGC_7335)
    coupl(nGC_5614) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(   &
                      nGC_38)*coupl(nGC_76) - coupl(nGC_34)*coupl(nGC_638)*    &
                      coupl(nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_75 &
                      ) - coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) - coupl(   &
                      nGC_74)*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(nGC_76  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_5615) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5616) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_23)*    &
                      coupl(nGC_292)*coupl(nGC_73) - coupl(nGC_34)*coupl(nGC_37&
                      )*coupl(nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_74) - coupl(nGC_38)*coupl(nGC_638)*coupl(nGC_75) -   &
                      coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) - coupl(nGC_74 &
                      )**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0*coupl(nGC_76   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5617) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5610) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(  &
                      nGC_36)*coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_36)*coupl&
                      (nGC_638)*coupl(nGC_67) + coupl(nGC_37)*coupl(nGC_40)*   &
                      coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_66) -    &
                      coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(nGC_67)**2d0*   &
                      coupl(nGC_68))/(32d0*pi**2d0)
    coupl(nGC_5611) = (coupl(nGC_23)*coupl(nGC_292)*coupl(nGC_65) + coupl(     &
                      nGC_36)*coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl&
                      (nGC_68) + coupl(nGC_40)*coupl(nGC_638)*coupl(nGC_67) -  &
                      coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(nGC_66)*coupl(  &
                      nGC_68)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5612) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(  &
                      nGC_36)*coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_36)*coupl&
                      (nGC_638)*coupl(nGC_71) + coupl(nGC_37)*coupl(nGC_40)*   &
                      coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_70) -    &
                      coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(nGC_71)**2d0*   &
                      coupl(nGC_72))/(32d0*pi**2d0)
    coupl(nGC_5613) = (coupl(nGC_23)*coupl(nGC_292)*coupl(nGC_69) + coupl(     &
                      nGC_36)*coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl&
                      (nGC_72) + coupl(nGC_40)*coupl(nGC_638)*coupl(nGC_71) -  &
                      coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(nGC_70)*coupl(  &
                      nGC_72)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5618) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(   &
                      nGC_39)*coupl(nGC_78) - coupl(nGC_35)*coupl(nGC_638)*    &
                      coupl(nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_79 &
                      ) - coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) - coupl(   &
                      nGC_78)**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(   &
                      nGC_80))/(32d0*pi**2d0)
    coupl(nGC_5619) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_8484) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_11091) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_8002) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_8000) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_8001) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_8007) = coupl(nGC_5815) + coupl(nGC_HHHH)
    coupl(nGC_8004) = coupl(nGC_5919) + coupl(nGC_8000)
    coupl(nGC_7202) = coupl(nGC_27)*dZA_QED2/2d0 + coupl(nGC_27)*dZH_QED2/2d0  &
                       + coupl(nGC_27)*dZWMinus_QED2/2d0 + coupl(nGC_5822) +   &
                      coupl(nGC_8)*dZZA_QED2/2d0
    coupl(nGC_7208) = coupl(nGC_5881) + coupl(nGC_69)*dZmuMinusR_QED2/2d0 +    &
                      coupl(nGC_69)*dZnu_muL_QED2/2d0
    coupl(nGC_8792) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_8794) = coupl(nGC_1)*dZdL_QED2 + coupl(nGC_38)*dZZA_QED2/2d0
    coupl(nGC_8795) = coupl(nGC_1)*dZdR_QED2 + coupl(nGC_34)*dZZA_QED2/2d0
    coupl(nGC_8054) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZmuMinusR_QED2
    coupl(nGC_8536) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*         &
                      dZmuMinusL_QED2/2d0 + coupl(nGC_23)*dZnu_muL_QED2/2d0 +  &
                      coupl(nGC_5843)
    coupl(nGC_5738) = (20d0*Nc*cima*coupl(nGC_53)**4d0 + 20d0*Nc*cima*coupl(   &
                      nGC_57)**4d0 + 20d0*Nc*cima*coupl(nGC_61)**4d0 + 20d0*Nc*&
                      cima*coupl(nGC_73)**4d0 + 20d0*Nc*cima*coupl(nGC_77)**4d0&
                       + 20d0*Nc*cima*coupl(nGC_85)**4d0 + 24d0*cima*coupl(    &
                      nGC_17)**2d0 - 5d0*cima*coupl(nGC_20)**2d0*coupl(nGC_988 &
                      )**2d0 - 10d0*cima*coupl(nGC_20)*coupl(nGC_21)*coupl(    &
                      nGC_890)*coupl(nGC_988) - 10d0*cima*coupl(nGC_20)*coupl( &
                      nGC_22)*coupl(nGC_292)*coupl(nGC_890) - 10d0*cima*coupl( &
                      nGC_20)*coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_988) - 5d0&
                      *cima*coupl(nGC_21)**2d0*coupl(nGC_890)**2d0 - 10d0*cima*&
                      coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_890 &
                      ) - 10d0*cima*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_292)*&
                      coupl(nGC_988) - 20d0*cima*coupl(nGC_22)**2d0*coupl(     &
                      nGC_292)**2d0 - 5d0*cima*coupl(nGC_262)**4d0 - 10d0*cima*&
                      coupl(nGC_262)**2d0*coupl(nGC_4)**2d0 - 10d0*cima*coupl( &
                      nGC_262)**2d0*coupl(nGC_464)**2d0 - 20d0*cima*coupl(     &
                      nGC_262)*coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_464) - 5d0*&
                      cima*coupl(nGC_4)**4d0 - 10d0*cima*coupl(nGC_4)**2d0*    &
                      coupl(nGC_40)**2d0 - 5d0*cima*coupl(nGC_40)**4d0 - 10d0* &
                      cima*coupl(nGC_40)**2d0*coupl(nGC_464)**2d0 + 24d0*cima* &
                      coupl(nGC_42)**2d0 + 12d0*cima*coupl(nGC_45)**2d0 - 5d0* &
                      cima*coupl(nGC_464)**4d0 + 12d0*cima*coupl(nGC_6)**2d0 + &
                      20d0*cima*coupl(nGC_65)**4d0 + 20d0*cima*coupl(nGC_69)** &
                      4d0 + 20d0*cima*coupl(nGC_81)**4d0 + 6d0*coupl(nGC_13)*  &
                      coupl(nGC_20)*coupl(nGC_988) + 6d0*coupl(nGC_13)*coupl(  &
                      nGC_21)*coupl(nGC_890) + 12d0*coupl(nGC_13)*coupl(nGC_22 &
                      )*coupl(nGC_292) + 6d0*coupl(nGC_14)*coupl(nGC_262)**2d0 &
                       + 6d0*coupl(nGC_14)*coupl(nGC_262)*coupl(nGC_4) + 6d0*  &
                      coupl(nGC_14)*coupl(nGC_4)**2d0 + 6d0*coupl(nGC_14)*coupl&
                      (nGC_40)**2d0 + 6d0*coupl(nGC_14)*coupl(nGC_40)*coupl(   &
                      nGC_464) + 6d0*coupl(nGC_14)*coupl(nGC_464)**2d0 - 6d0*  &
                      coupl(nGC_17)*coupl(nGC_20)*coupl(nGC_988) - 6d0*coupl(  &
                      nGC_17)*coupl(nGC_21)*coupl(nGC_890) - 12d0*coupl(nGC_17 &
                      )*coupl(nGC_22)*coupl(nGC_292) - 6d0*coupl(nGC_262)**2d0*&
                      coupl(nGC_6) - 12d0*coupl(nGC_262)*coupl(nGC_42)*coupl(  &
                      nGC_464) - 6d0*coupl(nGC_4)**2d0*coupl(nGC_6) - 12d0*    &
                      coupl(nGC_4)*coupl(nGC_40)*coupl(nGC_42) - 6d0*coupl(    &
                      nGC_40)**2d0*coupl(nGC_45) - 6d0*coupl(nGC_45)*coupl(    &
                      nGC_464)**2d0)/(96d0*pi**2d0)
    coupl(nGC_5650) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*    &
                      coupl(nGC_23)*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(   &
                      nGC_39)*coupl(nGC_79) - coupl(nGC_35)*coupl(nGC_638)*    &
                      coupl(nGC_80) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_80 &
                      ) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(   &
                      nGC_79)**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_5651) = coupl(nGC_11)**2d0*coupl(nGC_79)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7887) = coupl(nGC_59)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_8674) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_8113) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZcR_QED2 +   &
                      coupl(nGC_5844)
    coupl(nGC_7997) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_8673) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_8672) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_5531) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_5530) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5533) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5532) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_5535) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_352))/(32d0*pi**2d0)
    coupl(nGC_5534) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_206)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) + 6d0*coupl(nGC_172)*coupl(nGC_3)*coupl(   &
                      nGC_47) - coupl(nGC_172)*coupl(nGC_464)*coupl(nGC_51) -  &
                      coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_50) - coupl(nGC_262 &
                      )*coupl(nGC_352)*coupl(nGC_51) + 6d0*coupl(nGC_3)*coupl( &
                      nGC_352)*coupl(nGC_51))/(32d0*pi**2d0)
    coupl(nGC_7888) = coupl(nGC_59)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_8076) = 2d0*coupl(nGC_18)*dZWMinus_QED2 + coupl(nGC_5803)
    coupl(nGC_5867) = coupl(nGC_5355)*dys_QED3
    coupl(nGC_5865) = coupl(nGC_5379)*dydo_QED3
    coupl(nGC_5864) = coupl(nGC_5379)*dydo_QED1_QCD2
    coupl(nGC_5869) = coupl(nGC_5395)*dys_QED3
    coupl(nGC_7500) = coupl(nGC_7498) + coupl(nGC_7499)
    coupl(nGC_7501) = coupl(nGC_7496) + coupl(nGC_7499)
    coupl(nGC_5493) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_85)**2d0 - &
                      4d0*cME**2d0*cima*coupl(nGC_65)**2d0 - cMH**2d0*cima*    &
                      coupl(nGC_20)*coupl(nGC_988) - cMH**2d0*cima*coupl(nGC_21&
                      )*coupl(nGC_890) - 4d0*cMM**2d0*cima*coupl(nGC_69)**2d0  &
                       - 4d0*cMTA**2d0*cima*coupl(nGC_81)**2d0 - cMW**2d0*cima*&
                      coupl(nGC_20)*coupl(nGC_988) - cMW**2d0*cima*coupl(nGC_21&
                      )*coupl(nGC_890) - 2d0*cMW**2d0*cima*coupl(nGC_22)*coupl(&
                      nGC_292) - cMW**2d0*cima*coupl(nGC_262)**2d0 - cMW**2d0* &
                      cima*coupl(nGC_4)**2d0 - cMW**2d0*cima*coupl(nGC_40)**2d0&
                       - cMW**2d0*cima*coupl(nGC_464)**2d0 - 8d0*cMW**2d0*coupl&
                      (nGC_17) - 2d0*cMZ**2d0*cima*coupl(nGC_22)*coupl(nGC_292 &
                      ) - cMZ**2d0*cima*coupl(nGC_40)**2d0 - cMZ**2d0*cima*    &
                      coupl(nGC_464)**2d0 - 4d0*cMZ**2d0*coupl(nGC_45) + 8d0*  &
                      cima*coupl(nGC_47)**2d0 + 8d0*cima*coupl(nGC_51)**2d0)/( &
                      64d0*pi**2d0)
    coupl(nGC_8840) = coupl(nGC_47)*dZZA_QED2/2d0 + coupl(nGC_51)*dZA_QED2/2d0 &
                       + coupl(nGC_51)*dZWMinus_QED2/2d0 + coupl(nGC_5823)
    coupl(nGC_7370) = coupl(nGC_5816) + coupl(nGC_HHGG)
    coupl(nGC_7577) = coupl(nGC_5851) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl(   &
                      nGC_61)*dZuL_QED2/2d0
    coupl(nGC_7576) = coupl(nGC_5853) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(   &
                      nGC_85)*dZuR_QED2/2d0
    coupl(nGC_7575) = coupl(nGC_5850) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_61)*dZuL_QCD2/2d0
    coupl(nGC_7574) = coupl(nGC_5852) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_85)*dZuR_QCD2/2d0
    coupl(nGC_5711) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_35)**2d0 + coupl(nGC_77)**2d0 + coupl(nGC_78)*coupl( &
                      nGC_80) + coupl(nGC_79)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5710) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_53)**  &
                      2d0 + coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_79)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_5713) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl( &
                      nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5712) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)**  &
                      2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_5715) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl( &
                      nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5714) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**  &
                      2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_5717) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_5716) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_5652) = (coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_890) + coupl(     &
                      nGC_36)*coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl&
                      (nGC_83) + coupl(nGC_40)*coupl(nGC_638)*coupl(nGC_82) -  &
                      coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83)**3d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_5653) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(  &
                      nGC_36)*coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_36)*coupl&
                      (nGC_638)*coupl(nGC_84) + coupl(nGC_37)*coupl(nGC_40)*   &
                      coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_83) -    &
                      coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(nGC_84)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_5654) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_890) - coupl(nGC_35)*coupl(nGC_37&
                      )*coupl(nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_87) - coupl(nGC_39)*coupl(nGC_638)*coupl(nGC_86) -   &
                      coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(nGC_86 &
                      )**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5655) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*    &
                      coupl(nGC_23)*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(   &
                      nGC_39)*coupl(nGC_87) - coupl(nGC_35)*coupl(nGC_638)*    &
                      coupl(nGC_88) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_88 &
                      ) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(   &
                      nGC_87)**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_5656) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5657) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*coupl&
                      (nGC_23)**2d0*coupl(nGC_39) - 11d0*coupl(nGC_172)**2d0*  &
                      coupl(nGC_25) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) -  &
                      12d0*coupl(nGC_23)**2d0*coupl(nGC_41) - 11d0*coupl(nGC_25&
                      )*coupl(nGC_352)**2d0)/(96d0*pi**2d0)
    coupl(nGC_7902) = coupl(nGC_53)*dZbR_QED2/2d0 + coupl(nGC_53)*dZtL_QED2/2d0&
                       + coupl(nGC_5861)
    coupl(nGC_8327) = coupl(nGC_83)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_8758) = 3d0*coupl(nGC_49)*dZH_QED2/2d0 + coupl(nGC_5819) + coupl(&
                      nGC_HHH)
    coupl(nGC_5658) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1)* &
                      coupl(nGC_352) + coupl(nGC_172)*coupl(nGC_38) + coupl(   &
                      nGC_2)*coupl(nGC_3) + coupl(nGC_25)*coupl(nGC_39) + coupl&
                      (nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_7489) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*dZcL_QED2&
                      /2d0 + coupl(nGC_23)*dZsL_QED2/2d0 + coupl(nGC_5843)
    coupl(nGC_7483) = coupl(nGC_4)*dZtauMinusL_QED2 + coupl(nGC_40)*dZZA_QED2/ &
                      2d0
    coupl(nGC_7482) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*              &
                      dZtauMinusR_QED2
    coupl(nGC_8284) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_8285) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_8286) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_8287) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_5838) = coupl(nGC_5484)*dZee_QED2 + coupl(nGC_5485)*dsw_QED2 +   &
                      coupl(nGC_5486)*dcw_QED2
    coupl(nGC_5839) = coupl(nGC_5380)*dsw_QED2 + coupl(nGC_5381)*dZee_QED2 +   &
                      coupl(nGC_5382)*dcw_QED2 + coupl(nGC_5383)*dvev_QED1
    coupl(nGC_5835) = coupl(nGC_5360)*dZee_QED2 + coupl(nGC_5361)*dcw_QED2 +   &
                      coupl(nGC_5362)*dvev_QED1
    coupl(nGC_5836) = coupl(nGC_5349)*dZee_QED2 + coupl(nGC_5350)*dcw_QED2
    coupl(nGC_5837) = coupl(nGC_5368)*dZee_QED2 + coupl(nGC_5369)*dsw_QED2 +   &
                      coupl(nGC_5370)*dcw_QED2
    coupl(nGC_5830) = coupl(nGC_5472)*dZee_QED2 + coupl(nGC_5473)*dsw_QED2 +   &
                      coupl(nGC_5474)*dcw_QED2
    coupl(nGC_5831) = coupl(nGC_5454)*dZee_QED2 + coupl(nGC_5455)*dsw_QED2 +   &
                      coupl(nGC_5456)*dcw_QED2
    coupl(nGC_5832) = coupl(nGC_5463)*dZee_QED2 + coupl(nGC_5464)*dsw_QED2 +   &
                      coupl(nGC_5465)*dcw_QED2
    coupl(nGC_5833) = coupl(nGC_5351)*dZee_QED2 + coupl(nGC_5352)*dcw_QED2
    coupl(nGC_5579) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(    &
                      nGC_1)*coupl(nGC_262)*coupl(nGC_85) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_85) - coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_88) - coupl(nGC_23)*coupl(nGC_87)*coupl(nGC_890) +   &
                      8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl(   &
                      nGC_35)*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_38)*coupl&
                      (nGC_464)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_62)*   &
                      coupl(nGC_88) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_87 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5578) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_7724) = coupl(nGC_52)*dZH_QED2/2d0 + coupl(nGC_52)*dZZ_QED2 +    &
                      coupl(nGC_5839)
    coupl(nGC_5575) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_2)*coupl(  &
                      nGC_262)*coupl(nGC_73) + coupl(nGC_22)*coupl(nGC_23)*    &
                      coupl(nGC_76) + coupl(nGC_23)*coupl(nGC_75)*coupl(nGC_890&
                      ) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) + coupl&
                      (nGC_34)*coupl(nGC_40)*coupl(nGC_73) + coupl(nGC_39)*    &
                      coupl(nGC_464)*coupl(nGC_73) - coupl(nGC_57)*coupl(nGC_58&
                      )*coupl(nGC_76) - coupl(nGC_57)*coupl(nGC_59)*coupl(     &
                      nGC_75))/(32d0*pi**2d0)
    coupl(nGC_5574) = coupl(nGC_11)**2d0*coupl(nGC_57)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5577) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(    &
                      nGC_1)*coupl(nGC_262)*coupl(nGC_61) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_61) - coupl(nGC_20)*coupl(nGC_23)*coupl(&
                      nGC_63) - coupl(nGC_23)*coupl(nGC_292)*coupl(nGC_64) +   &
                      8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl(   &
                      nGC_34)*coupl(nGC_464)*coupl(nGC_61) - coupl(nGC_39)*    &
                      coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_63)*coupl(nGC_85 &
                      )*coupl(nGC_87) - coupl(nGC_64)*coupl(nGC_85)*coupl(     &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_5576) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5571) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(    &
                      nGC_1)*coupl(nGC_262)*coupl(nGC_77) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_77) - coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_80) - coupl(nGC_23)*coupl(nGC_79)*coupl(nGC_890) +   &
                      8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl(   &
                      nGC_35)*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_38)*coupl&
                      (nGC_464)*coupl(nGC_77) - coupl(nGC_53)*coupl(nGC_54)*   &
                      coupl(nGC_80) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_79 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5570) = coupl(nGC_11)**2d0*coupl(nGC_53)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5573) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_2)*coupl(  &
                      nGC_262)*coupl(nGC_57) + coupl(nGC_20)*coupl(nGC_23)*    &
                      coupl(nGC_59) + coupl(nGC_23)*coupl(nGC_292)*coupl(nGC_60&
                      ) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) + coupl&
                      (nGC_35)*coupl(nGC_464)*coupl(nGC_57) + coupl(nGC_38)*   &
                      coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_59)*coupl(nGC_73 &
                      )*coupl(nGC_75) - coupl(nGC_60)*coupl(nGC_73)*coupl(     &
                      nGC_74))/(32d0*pi**2d0)
    coupl(nGC_5900) = coupl(nGC_5387)*dyt_QED1_QCD2
    coupl(nGC_5901) = coupl(nGC_5387)*dyt_QED3
    coupl(nGC_5902) = coupl(nGC_5363)*dyt_QED1_QCD2
    coupl(nGC_5903) = coupl(nGC_5363)*dyt_QED3
    coupl(nGC_5904) = coupl(nGC_5414)*dyup_QED1_QCD2
    coupl(nGC_5905) = coupl(nGC_5414)*dyup_QED3
    coupl(nGC_5906) = coupl(nGC_5378)*dyc_QED1_QCD2
    coupl(nGC_7259) = coupl(nGC_42)*dZA_QED2/2d0 + coupl(nGC_42)*dZZ_QED2/2d0  &
                       + coupl(nGC_45)*dZZA_QED2/2d0 + coupl(nGC_5830) + coupl(&
                      nGC_6)*dZAZ_QED2/2d0
    coupl(nGC_8032) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_7254) = coupl(nGC_46)*dZZ_QED2 + coupl(nGC_5837)
    coupl(nGC_8035) = coupl(nGC_5915) + coupl(nGC_8032)
    coupl(nGC_7251) = coupl(nGC_26)*dZAZ_QED2/2d0 + coupl(nGC_5836) + coupl(   &
                      nGC_7)*dZWMinus_QED2/2d0 + coupl(nGC_7)*dZZ_QED2/2d0
    coupl(nGC_5883) = coupl(nGC_5392)*dye_QED3
    coupl(nGC_5885) = coupl(nGC_5390)*dym_QED3
    coupl(nGC_5884) = coupl(nGC_5389)*dye_QED3
    coupl(nGC_5886) = coupl(nGC_5391)*dym_QED3
    coupl(nGC_5889) = coupl(nGC_5388)*dye_QED3
    coupl(nGC_5888) = coupl(nGC_5417)*dytau_QED3
    coupl(nGC_7756) = coupl(nGC_7499) + coupl(nGC_7750)
    coupl(nGC_7754) = coupl(nGC_11)*dZuR_QCD2
    coupl(nGC_7753) = coupl(nGC_11)*dZuR_QED2
    coupl(nGC_8624) = coupl(nGC_5889) + coupl(nGC_67)*dZH_QED2/2d0
    coupl(nGC_9320) = coupl(nGC_20)*dZH_QED2/2d0 + coupl(nGC_20)*dZWMinus_QED2/&
                      2d0 + coupl(nGC_5827)
    coupl(nGC_8623) = coupl(nGC_67)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_7530) = coupl(nGC_2)*dZcR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
    coupl(nGC_5755) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(    &
                      nGC_34) + coupl(nGC_1)*coupl(nGC_38) + coupl(nGC_2)*coupl&
                      (nGC_35) + coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**2d0)
    coupl(nGC_5754) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_55)**2d0 +    &
                      80d0*Nc*cima*coupl(nGC_54)*coupl(nGC_55)**2d0*coupl(     &
                      nGC_56) + 20d0*Nc*cima*coupl(nGC_55)**2d0*coupl(nGC_56)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_59)**2d0 &
                       + 80d0*Nc*cima*coupl(nGC_58)*coupl(nGC_59)**2d0*coupl(  &
                      nGC_60) + 20d0*Nc*cima*coupl(nGC_59)**2d0*coupl(nGC_60)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_63)**2d0 &
                       + 80d0*Nc*cima*coupl(nGC_62)*coupl(nGC_63)**2d0*coupl(  &
                      nGC_64) + 20d0*Nc*cima*coupl(nGC_63)**2d0*coupl(nGC_64)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_74)**2d0*coupl(nGC_75)**2d0 &
                       + 80d0*Nc*cima*coupl(nGC_74)*coupl(nGC_75)**2d0*coupl(  &
                      nGC_76) + 20d0*Nc*cima*coupl(nGC_75)**2d0*coupl(nGC_76)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_78)**2d0*coupl(nGC_79)**2d0 &
                       + 80d0*Nc*cima*coupl(nGC_78)*coupl(nGC_79)**2d0*coupl(  &
                      nGC_80) + 20d0*Nc*cima*coupl(nGC_79)**2d0*coupl(nGC_80)**&
                      2d0 + 20d0*Nc*cima*coupl(nGC_86)**2d0*coupl(nGC_87)**2d0 &
                       + 80d0*Nc*cima*coupl(nGC_86)*coupl(nGC_87)**2d0*coupl(  &
                      nGC_88) + 20d0*Nc*cima*coupl(nGC_87)**2d0*coupl(nGC_88)**&
                      2d0 + 12d0*cima*coupl(nGC_17)**2d0 - 5d0*cima*coupl(     &
                      nGC_20)**2d0*coupl(nGC_22)**2d0 - 20d0*cima*coupl(nGC_20 &
                      )*coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_988) - 5d0*cima*&
                      coupl(nGC_21)**2d0*coupl(nGC_22)**2d0 - 20d0*cima*coupl( &
                      nGC_21)*coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_890) - 5d0&
                      *cima*coupl(nGC_292)**2d0*coupl(nGC_890)**2d0 - 5d0*cima*&
                      coupl(nGC_292)**2d0*coupl(nGC_988)**2d0 - 10d0*cima*coupl&
                      (nGC_37)**2d0*coupl(nGC_638)**2d0 + 6d0*cima*coupl(nGC_46&
                      )**2d0 + 20d0*cima*coupl(nGC_66)**2d0*coupl(nGC_67)**2d0 &
                       + 80d0*cima*coupl(nGC_66)*coupl(nGC_67)**2d0*coupl(     &
                      nGC_68) + 20d0*cima*coupl(nGC_67)**2d0*coupl(nGC_68)**2d0&
                       + 20d0*cima*coupl(nGC_70)**2d0*coupl(nGC_71)**2d0 + 80d0&
                      *cima*coupl(nGC_70)*coupl(nGC_71)**2d0*coupl(nGC_72) +   &
                      20d0*cima*coupl(nGC_71)**2d0*coupl(nGC_72)**2d0 + 20d0*  &
                      cima*coupl(nGC_82)**2d0*coupl(nGC_83)**2d0 + 80d0*cima*  &
                      coupl(nGC_82)*coupl(nGC_83)**2d0*coupl(nGC_84) + 20d0*   &
                      cima*coupl(nGC_83)**2d0*coupl(nGC_84)**2d0 + 3d0*coupl(  &
                      nGC_13)*coupl(nGC_20)*coupl(nGC_988) + 3d0*coupl(nGC_13)*&
                      coupl(nGC_21)*coupl(nGC_890) + 6d0*coupl(nGC_13)*coupl(  &
                      nGC_22)*coupl(nGC_292) + 6d0*coupl(nGC_13)*coupl(nGC_37  &
                      )**2d0 + 6d0*coupl(nGC_13)*coupl(nGC_638)**2d0 + 6d0*    &
                      coupl(nGC_15)*coupl(nGC_37)*coupl(nGC_638) - 3d0*coupl(  &
                      nGC_17)*coupl(nGC_20)*coupl(nGC_988) - 3d0*coupl(nGC_17)*&
                      coupl(nGC_21)*coupl(nGC_890) - 6d0*coupl(nGC_17)*coupl(  &
                      nGC_22)*coupl(nGC_292) - 6d0*coupl(nGC_37)*coupl(nGC_46)*&
                      coupl(nGC_638))/(96d0*pi**2d0)
    coupl(nGC_5757) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_55)**2d0 -   &
                      32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_59)**2d0 - 32d0&
                      *Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_63)**2d0 - 32d0*Nc*&
                      cima*coupl(nGC_23)**2d0*coupl(nGC_75)**2d0 - 32d0*Nc*cima&
                      *coupl(nGC_23)**2d0*coupl(nGC_79)**2d0 - 32d0*Nc*cima*   &
                      coupl(nGC_23)**2d0*coupl(nGC_87)**2d0 + 24d0*cima*coupl( &
                      nGC_17)*coupl(nGC_18) + 9d0*cima*coupl(nGC_172)**2d0*    &
                      coupl(nGC_21)*coupl(nGC_890) + 9d0*cima*coupl(nGC_172)** &
                      2d0*coupl(nGC_37)*coupl(nGC_638) + 8d0*cima*coupl(nGC_20 &
                      )*coupl(nGC_21)*coupl(nGC_890)*coupl(nGC_988) + 4d0*cima*&
                      coupl(nGC_20)*coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_988 &
                      ) + 9d0*cima*coupl(nGC_20)*coupl(nGC_25)**2d0*coupl(     &
                      nGC_988) + 9d0*cima*coupl(nGC_20)*coupl(nGC_3)**2d0*coupl&
                      (nGC_988) + 4d0*cima*coupl(nGC_21)*coupl(nGC_22)*coupl(  &
                      nGC_292)*coupl(nGC_890) + 9d0*cima*coupl(nGC_21)*coupl(  &
                      nGC_352)**2d0*coupl(nGC_890) + 8d0*cima*coupl(nGC_22)*   &
                      coupl(nGC_292)*coupl(nGC_37)*coupl(nGC_638) - 32d0*cima* &
                      coupl(nGC_23)**2d0*coupl(nGC_67)**2d0 - 32d0*cima*coupl( &
                      nGC_23)**2d0*coupl(nGC_71)**2d0 - 32d0*cima*coupl(nGC_23 &
                      )**2d0*coupl(nGC_83)**2d0 + 9d0*cima*coupl(nGC_25)**2d0* &
                      coupl(nGC_37)*coupl(nGC_638) + 12d0*cima*coupl(nGC_368)* &
                      coupl(nGC_46) + 36d0*coupl(nGC_17)*coupl(nGC_172)**2d0 + &
                      6d0*coupl(nGC_17)*coupl(nGC_20)*coupl(nGC_988) + 6d0*    &
                      coupl(nGC_17)*coupl(nGC_21)*coupl(nGC_890) + 36d0*coupl( &
                      nGC_17)*coupl(nGC_352)**2d0 + 6d0*coupl(nGC_17)*coupl(   &
                      nGC_37)*coupl(nGC_638) - 6d0*coupl(nGC_172)*coupl(nGC_21 &
                      )*coupl(nGC_8) - 6d0*coupl(nGC_172)*coupl(nGC_8)*coupl(  &
                      nGC_890) - 6d0*coupl(nGC_18)*coupl(nGC_20)*coupl(nGC_988 &
                      ) - 6d0*coupl(nGC_18)*coupl(nGC_21)*coupl(nGC_890) - 6d0*&
                      coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_8) - 6d0*coupl(    &
                      nGC_20)*coupl(nGC_27)*coupl(nGC_3) - 6d0*coupl(nGC_21)*  &
                      coupl(nGC_27)*coupl(nGC_352) + 36d0*coupl(nGC_25)**2d0*  &
                      coupl(nGC_46) - 6d0*coupl(nGC_25)*coupl(nGC_8)*coupl(    &
                      nGC_988) - 6d0*coupl(nGC_27)*coupl(nGC_3)*coupl(nGC_988  &
                      ) - 6d0*coupl(nGC_27)*coupl(nGC_352)*coupl(nGC_890) - 6d0&
                      *coupl(nGC_368)*coupl(nGC_37)*coupl(nGC_638))/(192d0*pi**&
                      2d0)
    coupl(nGC_5756) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*coupl&
                      (nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(32d0*pi**2d0*Nc)
    coupl(nGC_5698) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_5699) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl( &
                      nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5753) = (-32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_54)*coupl(   &
                      nGC_56) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(nGC_58)* &
                      coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_23)**2d0*coupl(   &
                      nGC_62)*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_23)**2d0* &
                      coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl(nGC_23  &
                      )**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl( &
                      nGC_23)**2d0*coupl(nGC_86)*coupl(nGC_88) + 24d0*cima*    &
                      coupl(nGC_17)*coupl(nGC_18) + 9d0*cima*coupl(nGC_172)**  &
                      2d0*coupl(nGC_22)*coupl(nGC_292) + 9d0*cima*coupl(nGC_172&
                      )**2d0*coupl(nGC_37)*coupl(nGC_638) + 4d0*cima*coupl(    &
                      nGC_20)*coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_988) + 4d0&
                      *cima*coupl(nGC_20)*coupl(nGC_37)*coupl(nGC_638)*coupl(  &
                      nGC_988) + 4d0*cima*coupl(nGC_21)*coupl(nGC_22)*coupl(   &
                      nGC_292)*coupl(nGC_890) + 4d0*cima*coupl(nGC_21)*coupl(  &
                      nGC_37)*coupl(nGC_638)*coupl(nGC_890) + 8d0*cima*coupl(  &
                      nGC_22)**2d0*coupl(nGC_292)**2d0 + 9d0*cima*coupl(nGC_22 &
                      )*coupl(nGC_25)**2d0*coupl(nGC_292) + 9d0*cima*coupl(    &
                      nGC_22)*coupl(nGC_292)*coupl(nGC_3)**2d0 + 9d0*cima*coupl&
                      (nGC_22)*coupl(nGC_292)*coupl(nGC_352)**2d0 - 32d0*cima* &
                      coupl(nGC_23)**2d0*coupl(nGC_66)*coupl(nGC_68) - 32d0*   &
                      cima*coupl(nGC_23)**2d0*coupl(nGC_70)*coupl(nGC_72) -    &
                      32d0*cima*coupl(nGC_23)**2d0*coupl(nGC_82)*coupl(nGC_84  &
                      ) + 9d0*cima*coupl(nGC_25)**2d0*coupl(nGC_37)*coupl(     &
                      nGC_638) + 12d0*cima*coupl(nGC_368)*coupl(nGC_46) + 36d0*&
                      coupl(nGC_17)*coupl(nGC_172)**2d0 + 12d0*coupl(nGC_17)*  &
                      coupl(nGC_22)*coupl(nGC_292) + 36d0*coupl(nGC_17)*coupl( &
                      nGC_352)**2d0 + 6d0*coupl(nGC_17)*coupl(nGC_37)*coupl(   &
                      nGC_638) - 6d0*coupl(nGC_172)*coupl(nGC_22)*coupl(nGC_9  &
                      ) - 6d0*coupl(nGC_172)*coupl(nGC_292)*coupl(nGC_7) - 12d0&
                      *coupl(nGC_18)*coupl(nGC_22)*coupl(nGC_292) - 6d0*coupl( &
                      nGC_22)*coupl(nGC_25)*coupl(nGC_7) - 6d0*coupl(nGC_22)*  &
                      coupl(nGC_26)*coupl(nGC_3) - 6d0*coupl(nGC_22)*coupl(    &
                      nGC_28)*coupl(nGC_352) + 36d0*coupl(nGC_25)**2d0*coupl(  &
                      nGC_46) - 6d0*coupl(nGC_25)*coupl(nGC_292)*coupl(nGC_9   &
                      ) - 6d0*coupl(nGC_26)*coupl(nGC_292)*coupl(nGC_352) - 6d0&
                      *coupl(nGC_28)*coupl(nGC_292)*coupl(nGC_3) - 6d0*coupl(  &
                      nGC_368)*coupl(nGC_37)*coupl(nGC_638))/(192d0*pi**2d0)
    coupl(nGC_5752) = (20d0*Nc*cima*coupl(nGC_54)**2d0*coupl(nGC_56)**2d0 +    &
                      20d0*Nc*cima*coupl(nGC_58)**2d0*coupl(nGC_60)**2d0 + 20d0&
                      *Nc*cima*coupl(nGC_62)**2d0*coupl(nGC_64)**2d0 + 20d0*Nc*&
                      cima*coupl(nGC_74)**2d0*coupl(nGC_76)**2d0 + 20d0*Nc*cima&
                      *coupl(nGC_78)**2d0*coupl(nGC_80)**2d0 + 20d0*Nc*cima*   &
                      coupl(nGC_86)**2d0*coupl(nGC_88)**2d0 + 6d0*cima*coupl(  &
                      nGC_17)**2d0 - 10d0*cima*coupl(nGC_22)**2d0*coupl(nGC_292&
                      )**2d0 - 5d0*cima*coupl(nGC_37)**2d0*coupl(nGC_638)**2d0 &
                       + 3d0*cima*coupl(nGC_46)**2d0 + 20d0*cima*coupl(nGC_66  &
                      )**2d0*coupl(nGC_68)**2d0 + 20d0*cima*coupl(nGC_70)**2d0*&
                      coupl(nGC_72)**2d0 + 20d0*cima*coupl(nGC_82)**2d0*coupl( &
                      nGC_84)**2d0 + 6d0*coupl(nGC_13)*coupl(nGC_22)*coupl(    &
                      nGC_292) + 3d0*coupl(nGC_13)*coupl(nGC_37)*coupl(nGC_638 &
                      ) - 6d0*coupl(nGC_17)*coupl(nGC_22)*coupl(nGC_292) - 3d0*&
                      coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_638))/(16d0*pi**2d0&
                      )
    coupl(nGC_5694) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)*   &
                      coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_5695) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl( &
                      nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5696) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)*   &
                      coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_5697) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl( &
                      nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5759) = (-32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_54)*coupl(   &
                      nGC_56) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(nGC_62)* &
                      coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_34)**2d0*coupl(   &
                      nGC_74)*coupl(nGC_76) + 40d0*Nc*cima*coupl(nGC_34)*coupl(&
                      nGC_38)*coupl(nGC_54)*coupl(nGC_56) + 40d0*Nc*cima*coupl(&
                      nGC_34)*coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) + 40d0*&
                      Nc*cima*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_74)*coupl( &
                      nGC_76) - 32d0*Nc*cima*coupl(nGC_35)**2d0*coupl(nGC_58)* &
                      coupl(nGC_60) - 32d0*Nc*cima*coupl(nGC_35)**2d0*coupl(   &
                      nGC_78)*coupl(nGC_80) - 32d0*Nc*cima*coupl(nGC_35)**2d0* &
                      coupl(nGC_86)*coupl(nGC_88) + 40d0*Nc*cima*coupl(nGC_35)*&
                      coupl(nGC_39)*coupl(nGC_58)*coupl(nGC_60) + 40d0*Nc*cima*&
                      coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_78)*coupl(nGC_80   &
                      ) + 40d0*Nc*cima*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_86&
                      )*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_38)**2d0*coupl( &
                      nGC_54)*coupl(nGC_56) - 32d0*Nc*cima*coupl(nGC_38)**2d0* &
                      coupl(nGC_62)*coupl(nGC_64) - 32d0*Nc*cima*coupl(nGC_38  &
                      )**2d0*coupl(nGC_74)*coupl(nGC_76) - 32d0*Nc*cima*coupl( &
                      nGC_39)**2d0*coupl(nGC_58)*coupl(nGC_60) - 32d0*Nc*cima* &
                      coupl(nGC_39)**2d0*coupl(nGC_78)*coupl(nGC_80) - 32d0*Nc*&
                      cima*coupl(nGC_39)**2d0*coupl(nGC_86)*coupl(nGC_88) +    &
                      12d0*cima*coupl(nGC_17)*coupl(nGC_368) + 9d0*cima*coupl( &
                      nGC_172)**2d0*coupl(nGC_22)*coupl(nGC_292) + 9d0*cima*   &
                      coupl(nGC_22)*coupl(nGC_25)**2d0*coupl(nGC_292) + 4d0*   &
                      cima*coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_40)**2d0 +   &
                      4d0*cima*coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_464)**2d0&
                       - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_66)*coupl(     &
                      nGC_68) - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_70)*    &
                      coupl(nGC_72) - 32d0*cima*coupl(nGC_36)**2d0*coupl(nGC_82&
                      )*coupl(nGC_84) + 40d0*cima*coupl(nGC_36)*coupl(nGC_40)* &
                      coupl(nGC_66)*coupl(nGC_68) + 40d0*cima*coupl(nGC_36)*   &
                      coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) + 40d0*cima*   &
                      coupl(nGC_36)*coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84   &
                      ) + 4d0*cima*coupl(nGC_37)**2d0*coupl(nGC_638)**2d0 -    &
                      32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_66)*coupl(nGC_68  &
                      ) - 32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_70)*coupl(    &
                      nGC_72) - 32d0*cima*coupl(nGC_40)**2d0*coupl(nGC_82)*    &
                      coupl(nGC_84) + 18d0*coupl(nGC_17)*coupl(nGC_172)**2d0 + &
                      18d0*coupl(nGC_17)*coupl(nGC_25)**2d0 - 6d0*coupl(nGC_172&
                      )*coupl(nGC_22)*coupl(nGC_7) - 6d0*coupl(nGC_172)*coupl( &
                      nGC_292)*coupl(nGC_9) - 6d0*coupl(nGC_22)*coupl(nGC_25)* &
                      coupl(nGC_9) - 6d0*coupl(nGC_22)*coupl(nGC_292)*coupl(   &
                      nGC_368) + 6d0*coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_45 &
                      ) - 6d0*coupl(nGC_25)*coupl(nGC_292)*coupl(nGC_7) + 3d0* &
                      coupl(nGC_37)*coupl(nGC_46)*coupl(nGC_638))/(96d0*pi**2d0&
                      )
    coupl(nGC_5758) = (20d0*Nc*cima*coupl(nGC_55)**4d0 + 20d0*Nc*cima*coupl(   &
                      nGC_59)**4d0 + 20d0*Nc*cima*coupl(nGC_63)**4d0 + 20d0*Nc*&
                      cima*coupl(nGC_75)**4d0 + 20d0*Nc*cima*coupl(nGC_79)**4d0&
                       + 20d0*Nc*cima*coupl(nGC_87)**4d0 + 6d0*cima*coupl(     &
                      nGC_17)**2d0 - 5d0*cima*coupl(nGC_20)**2d0*coupl(nGC_988 &
                      )**2d0 - 5d0*cima*coupl(nGC_21)**2d0*coupl(nGC_890)**2d0 &
                       - 5d0*cima*coupl(nGC_37)**2d0*coupl(nGC_638)**2d0 + 3d0*&
                      cima*coupl(nGC_46)**2d0 + 20d0*cima*coupl(nGC_67)**4d0 + &
                      20d0*cima*coupl(nGC_71)**4d0 + 20d0*cima*coupl(nGC_83)** &
                      4d0 + 3d0*coupl(nGC_13)*coupl(nGC_20)*coupl(nGC_988) +   &
                      3d0*coupl(nGC_13)*coupl(nGC_21)*coupl(nGC_890) + 3d0*    &
                      coupl(nGC_13)*coupl(nGC_37)*coupl(nGC_638) - 3d0*coupl(  &
                      nGC_17)*coupl(nGC_20)*coupl(nGC_988) - 3d0*coupl(nGC_17)*&
                      coupl(nGC_21)*coupl(nGC_890) - 3d0*coupl(nGC_37)*coupl(  &
                      nGC_46)*coupl(nGC_638))/(16d0*pi**2d0)
    coupl(nGC_5693) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_53)**2d0 - coupl(nGC_54)*coupl( &
                      nGC_56) - coupl(nGC_55)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5597) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*coupl(nGC_35)*coupl(&
                      nGC_58)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_59&
                      )*coupl(nGC_60) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_78)*    &
                      coupl(nGC_79) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_79)*coupl(&
                      nGC_80) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87&
                      ) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) +   &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc&
                      *coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)*coupl(&
                      nGC_58)*coupl(nGC_59) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_59&
                      )*coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_78)*    &
                      coupl(nGC_79) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_79)*coupl(&
                      nGC_80) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87&
                      ) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88) -   &
                      6d0*coupl(nGC_172)*coupl(nGC_20)*coupl(nGC_22) - 6d0*    &
                      coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_25) + coupl(nGC_292&
                      )*coupl(nGC_40)*coupl(nGC_890) + coupl(nGC_292)*coupl(   &
                      nGC_464)*coupl(nGC_988) - 4d0*coupl(nGC_36)*coupl(nGC_66 &
                      )*coupl(nGC_67) + 4d0*coupl(nGC_36)*coupl(nGC_67)*coupl( &
                      nGC_68) - 4d0*coupl(nGC_36)*coupl(nGC_70)*coupl(nGC_71   &
                      ) + 4d0*coupl(nGC_36)*coupl(nGC_71)*coupl(nGC_72) - 4d0* &
                      coupl(nGC_36)*coupl(nGC_82)*coupl(nGC_83) + 4d0*coupl(   &
                      nGC_36)*coupl(nGC_83)*coupl(nGC_84) + 4d0*coupl(nGC_40)* &
                      coupl(nGC_66)*coupl(nGC_67) - 4d0*coupl(nGC_40)*coupl(   &
                      nGC_67)*coupl(nGC_68) + 4d0*coupl(nGC_40)*coupl(nGC_70)* &
                      coupl(nGC_71) - 4d0*coupl(nGC_40)*coupl(nGC_71)*coupl(   &
                      nGC_72) + 4d0*coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_83   &
                      ) - 4d0*coupl(nGC_40)*coupl(nGC_83)*coupl(nGC_84) + coupl&
                      (nGC_638)**3d0)/(96d0*pi**2d0)
    coupl(nGC_5596) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc*  &
                      cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*  &
                      cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl( &
                      nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58)*  &
                      coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*coupl(&
                      nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl( &
                      nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 16d0*Nc*cMS&
                      *coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*cMS* &
                      coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0*Nc*cMT*coupl(     &
                      nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT*coupl(nGC_78)*  &
                      coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*coupl(nGC_79)*  &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_86)**2d0*coupl(&
                      nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*coupl( &
                      nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0 +  &
                      4d0*cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 16d0*cME*coupl&
                      (nGC_66)*coupl(nGC_67)*coupl(nGC_68) + 4d0*cME*coupl(    &
                      nGC_67)*coupl(nGC_68)**2d0 + 4d0*cMM*coupl(nGC_70)**2d0* &
                      coupl(nGC_71) + 16d0*cMM*coupl(nGC_70)*coupl(nGC_71)*    &
                      coupl(nGC_72) + 4d0*cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 &
                       + 4d0*cMTA*coupl(nGC_82)**2d0*coupl(nGC_83) + 16d0*cMTA*&
                      coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) + 4d0*cMTA*    &
                      coupl(nGC_83)*coupl(nGC_84)**2d0 + 4d0*cima*coupl(nGC_17 &
                      )*coupl(nGC_50) + 2d0*cima*coupl(nGC_46)*coupl(nGC_52) + &
                      2d0*coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_48) - 2d0*    &
                      coupl(nGC_22)*coupl(nGC_292)*coupl(nGC_50) + coupl(nGC_37&
                      )**2d0*coupl(nGC_48) + coupl(nGC_37)*coupl(nGC_49)*coupl(&
                      nGC_638) - coupl(nGC_37)*coupl(nGC_52)*coupl(nGC_638) +  &
                      coupl(nGC_48)*coupl(nGC_638)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5595) = (-coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_82) - coupl(     &
                      nGC_23)*coupl(nGC_83)*coupl(nGC_988) - coupl(nGC_262)*   &
                      coupl(nGC_4)*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(    &
                      nGC_41)*coupl(nGC_81) - coupl(nGC_36)*coupl(nGC_464)*    &
                      coupl(nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5594) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_23&
                      )*coupl(nGC_292)*coupl(nGC_70) + coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)* &
                      coupl(nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69) + coupl( &
                      nGC_41)*coupl(nGC_464)*coupl(nGC_69))/(32d0*pi**2d0)
    coupl(nGC_5593) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_23&
                      )*coupl(nGC_292)*coupl(nGC_66) + coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)* &
                      coupl(nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65) + coupl( &
                      nGC_41)*coupl(nGC_464)*coupl(nGC_65))/(32d0*pi**2d0)
    coupl(nGC_5592) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_2)*coupl(  &
                      nGC_262)*coupl(nGC_85) + coupl(nGC_22)*coupl(nGC_23)*    &
                      coupl(nGC_86) + coupl(nGC_23)*coupl(nGC_87)*coupl(nGC_988&
                      ) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) + coupl&
                      (nGC_35)*coupl(nGC_464)*coupl(nGC_85) + coupl(nGC_38)*   &
                      coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_63 &
                      )*coupl(nGC_87) - coupl(nGC_61)*coupl(nGC_64)*coupl(     &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_5591) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_2)*coupl(  &
                      nGC_262)*coupl(nGC_61) + coupl(nGC_21)*coupl(nGC_23)*    &
                      coupl(nGC_63) + coupl(nGC_23)*coupl(nGC_292)*coupl(nGC_62&
                      ) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) + coupl&
                      (nGC_34)*coupl(nGC_40)*coupl(nGC_61) + coupl(nGC_39)*    &
                      coupl(nGC_464)*coupl(nGC_61) - coupl(nGC_62)*coupl(nGC_85&
                      )*coupl(nGC_88) - coupl(nGC_63)*coupl(nGC_85)*coupl(     &
                      nGC_87))/(32d0*pi**2d0)
    coupl(nGC_5590) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(    &
                      nGC_1)*coupl(nGC_262)*coupl(nGC_73) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_73) - coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_74) - coupl(nGC_23)*coupl(nGC_75)*coupl(nGC_988) +   &
                      8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl(   &
                      nGC_34)*coupl(nGC_464)*coupl(nGC_73) - coupl(nGC_39)*    &
                      coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(nGC_59 &
                      )*coupl(nGC_75) - coupl(nGC_57)*coupl(nGC_60)*coupl(     &
                      nGC_74))/(32d0*pi**2d0)
    coupl(nGC_5841) = coupl(nGC_5385)*dZee_QED2
    coupl(nGC_7484) = coupl(nGC_7404) + coupl(nGC_7482)
    coupl(nGC_5598) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(   &
                      nGC_38)*coupl(nGC_56) - coupl(nGC_34)*coupl(nGC_55)*coupl&
                      (nGC_638) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_55) -  &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_54 &
                      )*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(nGC_56)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_7973) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7972) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_7971) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_7970) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_7977) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_7976) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_7979) = coupl(nGC_5917) + coupl(nGC_7973)
    coupl(nGC_7978) = coupl(nGC_5916) + coupl(nGC_7972)
    coupl(nGC_7334) = coupl(nGC_2)*dZtR_QED2 + coupl(nGC_35)*dZZA_QED2/2d0
    coupl(nGC_8367) = coupl(nGC_40)*dZZ_QED2/2d0 + coupl(nGC_40)*              &
                      dZmuMinusL_QED2 + coupl(nGC_5832)
    coupl(nGC_7323) = coupl(nGC_37)*dZH_QED2/2d0 + coupl(nGC_37)*dZZ_QED2/2d0  &
                       + coupl(nGC_5831)
    coupl(nGC_7281) = coupl(nGC_40)*dZZ_QED2/2d0 + coupl(nGC_40)*dZeMinusL_QED2&
                       + coupl(nGC_5832)
    coupl(nGC_5487) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_12874) = -coupl(nGC_5716)
    coupl(nGC_12872) = -coupl(nGC_5717)
    coupl(nGC_7443) = coupl(nGC_23)*dZWMinus_QED2/2d0 + coupl(nGC_23)*dZbL_QED2&
                      /2d0 + coupl(nGC_23)*dZtL_QED2/2d0 + coupl(nGC_5843)
    coupl(nGC_5621) = coupl(nGC_11)**2d0*coupl(nGC_80)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5620) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_80) - coupl(nGC_23)*    &
                      coupl(nGC_292)*coupl(nGC_77) - coupl(nGC_35)*coupl(nGC_37&
                      )*coupl(nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_80) - coupl(nGC_39)*coupl(nGC_638)*coupl(nGC_79) -   &
                      coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) - coupl(nGC_78 &
                      )*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(nGC_80)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_5623) = (coupl(nGC_23)*coupl(nGC_292)*coupl(nGC_81) + coupl(     &
                      nGC_36)*coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl&
                      (nGC_84) + coupl(nGC_40)*coupl(nGC_638)*coupl(nGC_83) -  &
                      coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(nGC_82)*coupl(  &
                      nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5622) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(  &
                      nGC_36)*coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_36)*coupl&
                      (nGC_638)*coupl(nGC_83) + coupl(nGC_37)*coupl(nGC_40)*   &
                      coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_82) -    &
                      coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*   &
                      coupl(nGC_84))/(32d0*pi**2d0)
    coupl(nGC_5624) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(   &
                      nGC_39)*coupl(nGC_86) - coupl(nGC_35)*coupl(nGC_638)*    &
                      coupl(nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_87 &
                      ) - coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0*coupl(   &
                      nGC_88))/(32d0*pi**2d0)
    coupl(nGC_5627) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5626) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_23)*    &
                      coupl(nGC_292)*coupl(nGC_85) - coupl(nGC_35)*coupl(nGC_37&
                      )*coupl(nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_88) - coupl(nGC_39)*coupl(nGC_638)*coupl(nGC_87) -   &
                      coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) - coupl(nGC_86 &
                      )*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_5629) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc*  &
                      cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl( &
                      nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23)**  &
                      2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*coupl( &
                      nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(nGC_87) -  &
                      4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) - 4d0*cMM*coupl(&
                      nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_23)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_18)*coupl(nGC_50) +   &
                      2d0*cima*coupl(nGC_368)*coupl(nGC_52) + 6d0*coupl(nGC_172&
                      )**2d0*coupl(nGC_50) - coupl(nGC_172)*coupl(nGC_21)*coupl&
                      (nGC_47) - coupl(nGC_172)*coupl(nGC_47)*coupl(nGC_890) - &
                      coupl(nGC_21)*coupl(nGC_352)*coupl(nGC_51) + 6d0*coupl(  &
                      nGC_25)**2d0*coupl(nGC_52) + 6d0*coupl(nGC_352)**2d0*    &
                      coupl(nGC_50) - coupl(nGC_352)*coupl(nGC_51)*coupl(      &
                      nGC_890))/(32d0*pi**2d0)
    coupl(nGC_5628) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0 + 8d0&
                      *Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67)**3d0  &
                       + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(nGC_83)** &
                      3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) + 2d0*cima*   &
                      coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_20)*coupl(nGC_48 &
                      )*coupl(nGC_988) - coupl(nGC_20)*coupl(nGC_50)*coupl(    &
                      nGC_988) + coupl(nGC_21)*coupl(nGC_48)*coupl(nGC_890) -  &
                      coupl(nGC_21)*coupl(nGC_50)*coupl(nGC_890) + coupl(nGC_37&
                      )*coupl(nGC_48)*coupl(nGC_638) - coupl(nGC_37)*coupl(    &
                      nGC_52)*coupl(nGC_638))/(32d0*pi**2d0)
    coupl(nGC_7198) = coupl(nGC_5882) + coupl(nGC_81)*dZnu_tauL_QED2/2d0 +     &
                      coupl(nGC_81)*dZtauMinusR_QED2/2d0
    coupl(nGC_7211) = coupl(nGC_38)*dZdL_QCD2
    coupl(nGC_7217) = coupl(nGC_34)*dZZ_QED2/2d0 + coupl(nGC_34)*dZdR_QED2 +   &
                      coupl(nGC_5847)
    coupl(nGC_7214) = coupl(nGC_34)*dZdR_QCD2
    coupl(nGC_7218) = coupl(nGC_7215) + coupl(nGC_7217)
    coupl(nGC_7713) = coupl(nGC_7499) + coupl(nGC_7711)
    coupl(nGC_8580) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_7652) = coupl(nGC_39)*dZtL_QCD2
    coupl(nGC_5525) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_7657) = coupl(nGC_35)*dZZ_QED2/2d0 + coupl(nGC_35)*dZtR_QED2 +   &
                      coupl(nGC_5844)
    coupl(nGC_7655) = coupl(nGC_35)*dZtR_QCD2
    coupl(nGC_7658) = coupl(nGC_7649) + coupl(nGC_7657)
    coupl(nGC_5528) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_5529) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_5725) = (4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_53)*   &
                      coupl(nGC_54) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)* &
                      coupl(nGC_57)*coupl(nGC_58) + 4d0*Nc*cima*coupl(nGC_1)*  &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) + 4d0*Nc*cima* &
                      coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_73)*coupl(nGC_74) - &
                      16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77)*   &
                      coupl(nGC_78) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_23)* &
                      coupl(nGC_85)*coupl(nGC_86) - 16d0*Nc*cima*coupl(nGC_2)* &
                      coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0*Nc*cima* &
                      coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - &
                      16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61)*   &
                      coupl(nGC_62) - 16d0*Nc*cima*coupl(nGC_2)*coupl(nGC_23)* &
                      coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*cima*coupl(nGC_2)*  &
                      coupl(nGC_23)*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*cima* &
                      coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_85)*coupl(nGC_86) + &
                      9d0*cima*coupl(nGC_172)*coupl(nGC_20)*coupl(nGC_3)*coupl(&
                      nGC_638) + 4d0*cima*coupl(nGC_20)*coupl(nGC_37)*coupl(   &
                      nGC_4)*coupl(nGC_464) + 24d0*cima*coupl(nGC_206)*coupl(  &
                      nGC_7) + 4d0*cima*coupl(nGC_22)**3d0*coupl(nGC_262) + 4d0&
                      *cima*coupl(nGC_22)*coupl(nGC_262)*coupl(nGC_890)**2d0 + &
                      4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(nGC_65)*coupl( &
                      nGC_66) + 4d0*cima*coupl(nGC_23)*coupl(nGC_4)*coupl(     &
                      nGC_69)*coupl(nGC_70) + 4d0*cima*coupl(nGC_23)*coupl(    &
                      nGC_4)*coupl(nGC_81)*coupl(nGC_82) + 9d0*cima*coupl(     &
                      nGC_25)*coupl(nGC_292)*coupl(nGC_352)*coupl(nGC_40) +    &
                      24d0*cima*coupl(nGC_26)*coupl(nGC_5) + 9d0*cima*coupl(   &
                      nGC_292)*coupl(nGC_3)*coupl(nGC_352)*coupl(nGC_4) - 6d0* &
                      coupl(nGC_17)*coupl(nGC_292)*coupl(nGC_3) - 6d0*coupl(   &
                      nGC_17)*coupl(nGC_292)*coupl(nGC_352) - 6d0*coupl(nGC_172&
                      )*coupl(nGC_26)*coupl(nGC_464) - 6d0*coupl(nGC_172)*coupl&
                      (nGC_27)*coupl(nGC_638) + 36d0*coupl(nGC_172)*coupl(nGC_3&
                      )*coupl(nGC_7) - 6d0*coupl(nGC_20)*coupl(nGC_206)*coupl( &
                      nGC_638) - 6d0*coupl(nGC_206)*coupl(nGC_292)*coupl(nGC_40&
                      ) + 6d0*coupl(nGC_22)**2d0*coupl(nGC_26) + 6d0*coupl(    &
                      nGC_22)*coupl(nGC_27)*coupl(nGC_890) - 6d0*coupl(nGC_25)*&
                      coupl(nGC_292)*coupl(nGC_42) - 6d0*coupl(nGC_26)*coupl(  &
                      nGC_262)*coupl(nGC_352) + 36d0*coupl(nGC_26)*coupl(nGC_3 &
                      )*coupl(nGC_352) + 6d0*coupl(nGC_27)*coupl(nGC_37)*coupl(&
                      nGC_464) - 6d0*coupl(nGC_292)*coupl(nGC_3)*coupl(nGC_6   &
                      ) - 6d0*coupl(nGC_292)*coupl(nGC_4)*coupl(nGC_5))/(192d0*&
                      pi**2d0)
    coupl(nGC_7712) = coupl(nGC_7499) + coupl(nGC_7709)
    coupl(nGC_5870) = coupl(nGC_5367)*dyb_QED1_QCD2
    coupl(nGC_5871) = coupl(nGC_5367)*dyb_QED3
    coupl(nGC_8109) = coupl(nGC_35)*dZcR_QCD2
    coupl(nGC_5873) = coupl(nGC_5375)*dyb_QED3
    coupl(nGC_5874) = coupl(nGC_5386)*dydo_QED1_QCD2
    coupl(nGC_5875) = coupl(nGC_5386)*dydo_QED3
    coupl(nGC_5876) = coupl(nGC_5354)*dys_QED1_QCD2
    coupl(nGC_5877) = coupl(nGC_5354)*dys_QED3
    coupl(nGC_5878) = coupl(nGC_5374)*dyb_QED1_QCD2
    coupl(nGC_5879) = coupl(nGC_5374)*dyb_QED3
    coupl(nGC_11094) = coupl(nGC_5928) + coupl(nGC_MZ)*dZZ_QED2
    coupl(nGC_8485) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5799) = coupl(nGC_5393)*dZgs_QCD2
    coupl(nGC_7622) = coupl(nGC_58)*dZcL_QED2/2d0 + coupl(nGC_58)*dZcR_QED2/2d0&
                       + coupl(nGC_5899)
    coupl(nGC_7620) = coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(nGC_58)*dZcR_QCD2/2d0&
                       + coupl(nGC_5898)
    coupl(nGC_5791) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_960)**2d0 +  &
                      39d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 3d0* &
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_960)*sq2**2d0 + 36d0*cima&
                      *coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_5790) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_960) + 12d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_960)*sq2**2d0 + 18d0*cima*coupl(nGC_11)**4d0*sq2**  &
                      4d0)/(384d0*pi**2d0)
    coupl(nGC_5793) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_956) - 9d0*Nc*coupl(     &
                      nGC_10)**2d0*coupl(nGC_962) - 60d0*cima*coupl(nGC_11)**  &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_5792) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 9d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_956) - 3d0*Nc*coupl(     &
                      nGC_10)**2d0*coupl(nGC_962) - 60d0*cima*coupl(nGC_11)**  &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_9180) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_5794) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_960) + 3d0*Nc*coupl(nGC_10)**2d0*&
                      coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_960)*sq2**2d0 + 36d0*cima*coupl(nGC_11)**4d0*sq2**  &
                      4d0)/(768d0*pi**2d0)
    coupl(nGC_5646) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_23)*    &
                      coupl(nGC_73)*coupl(nGC_988) - coupl(nGC_34)*coupl(nGC_37&
                      )*coupl(nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_75) - coupl(nGC_38)*coupl(nGC_638)*coupl(nGC_76) -   &
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(nGC_75 &
                      )**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0)/(32d0*pi**2d0)
    coupl(nGC_7553) = coupl(nGC_7215) + coupl(nGC_7552)
    coupl(nGC_7402) = coupl(nGC_36)*dZZA_QED2/2d0 + coupl(nGC_4)*dZeMinusR_QED2
    coupl(nGC_7406) = coupl(nGC_7403) + coupl(nGC_7404)
    coupl(nGC_7405) = coupl(nGC_7402) + coupl(nGC_7404)
    coupl(nGC_7360) = coupl(nGC_17)*dZWMinus_QED2 + coupl(nGC_5828)
    coupl(nGC_5665) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +     &
                      coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_53)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5664) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5667) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*coupl(     &
                      nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5666) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5661) = coupl(nGC_23)*(coupl(nGC_172)*coupl(nGC_40) + coupl(     &
                      nGC_25)*coupl(nGC_41) + coupl(nGC_352)*coupl(nGC_4) +    &
                      coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_5660) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)* &
                      coupl(nGC_3) - coupl(nGC_172)*coupl(nGC_39) - coupl(nGC_2&
                      )*coupl(nGC_352) - coupl(nGC_25)*coupl(nGC_38) + coupl(  &
                      nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_5663) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_172 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_56) +    &
                      coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5662) = coupl(nGC_23)*(-coupl(nGC_172)*coupl(nGC_41) - coupl(    &
                      nGC_25)*coupl(nGC_40) - coupl(nGC_3)*coupl(nGC_4) + coupl&
                      (nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_5669) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*coupl(     &
                      nGC_59)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5668) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5778) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(128d0*pi**2d0)
    coupl(nGC_5708) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_53)**  &
                      2d0 - coupl(nGC_78)*coupl(nGC_80) - coupl(nGC_79)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_5709) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_35)**2d0 - coupl(nGC_77)**2d0 - coupl(nGC_78)*coupl( &
                      nGC_80) - coupl(nGC_79)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5706) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl( &
                      nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5872) = coupl(nGC_5375)*dyb_QED1_QCD2
    coupl(nGC_5702) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**  &
                      2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_5703) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl( &
                      nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5700) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_5701) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl( &
                      nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
    coupl(nGC_5907) = coupl(nGC_5378)*dyc_QED3
    coupl(nGC_8031) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_7316) = coupl(nGC_4)*dZWMinus_QED2/2d0 + coupl(nGC_5806)
    coupl(nGC_7311) = coupl(nGC_19)*dZWMinus_QED2 + coupl(nGC_19)*dZZ_QED2 +   &
                      coupl(nGC_5805)
    coupl(nGC_5809) = coupl(nGC_5433)*dsw_QED2 + coupl(nGC_5434)*dMW2_QED2 +   &
                      coupl(nGC_5435)*dZee_QED2
    coupl(nGC_5808) = coupl(nGC_5430)*dsw_QED2 + coupl(nGC_5431)*dMW2_QED2 +   &
                      coupl(nGC_5432)*dZee_QED2
    coupl(nGC_5800) = coupl(nGC_5483)*dZee_QED2
    coupl(nGC_5802) = coupl(nGC_5418)*dZee_QED2 + coupl(nGC_5419)*dsw_QED2 +   &
                      coupl(nGC_5420)*dcw_QED2
    coupl(nGC_5804) = coupl(nGC_5425)*dZee_QED2 + coupl(nGC_5426)*dsw_QED2 +   &
                      coupl(nGC_5427)*dcw_QED2
    coupl(nGC_5807) = coupl(nGC_5398)*dMW2_QED2 + coupl(nGC_5399)*dZee_QED2
    coupl(nGC_5568) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_206)*coupl(   &
                      nGC_51) + 6d0*coupl(nGC_172)*coupl(nGC_25)*coupl(nGC_47  &
                      ) - coupl(nGC_172)*coupl(nGC_464)*coupl(nGC_47) - coupl( &
                      nGC_20)*coupl(nGC_25)*coupl(nGC_50) + 6d0*coupl(nGC_25)* &
                      coupl(nGC_352)*coupl(nGC_51) - coupl(nGC_25)*coupl(nGC_52&
                      )*coupl(nGC_890) - coupl(nGC_262)*coupl(nGC_352)*coupl(  &
                      nGC_47))/(32d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
